import { Component, Directive, ElementRef, EventEmitter, Injectable, Input, NgModule, Output, Pipe, Renderer, Renderer2, ViewChild, ViewEncapsulation } from '@angular/core';
import { CommonModule, DatePipe, Location } from '@angular/common';
import { BsDropdownModule, ModalModule, TabsModule } from 'ngx-bootstrap';
import { FormControl, FormGroup, FormsModule, ReactiveFormsModule, Validators } from '@angular/forms';
import { FlexLayoutModule } from '@angular/flex-layout';
import { Observable as Observable$1 } from 'rxjs/Observable';
import 'rxjs/add/operator/toPromise';
import { Subject as Subject$1 } from 'rxjs/Subject';
import { debounce } from 'lodash';
import { FileUploadModule, FileUploader } from 'ng2-file-upload';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Action = /** @class */ (function () {
    function Action(options) {
        this.label = options.label;
        this.active = options.active || false;
        this.icon = options.icon;
        this.iconActive = options.iconActive;
        this.prefix = options.prefix || 'mdi';
        this.activeClass = options.activeClass;
        this.customClass = options.customClass;
        this.callback = options.callback;
        this.size = options.size;
        this.value = options.value;
        this.color = options.color || 'plain';
        this.outline = options.outline;
        this.rounded = options.rounded;
        this.circle = options.circle;
        this.anchor = options.anchor;
        this.link = options.link;
    }
    return Action;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardComponent = /** @class */ (function () {
    function CardComponent() {
        this.footer = {
            justify: 'flex-end',
            alignment: 'center'
        };
    }
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    CardComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    CardComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-card',
                    template: "<div class=\"card {{customClass}}  shadow-{{shadow}}\"> <div class=\"card__header\"  *ngIf=\"title\"> <div class=\"card__options card__options--left\"  *ngIf=\"optionsLeft?.length > 0\"> <div class=\"card__option\"  *ngFor=\"let option of optionsLeft\"> <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [color]=\"option?.color\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> </div> </div> <h4 class=\"card__title\">{{title}}</h4> <div class=\"card__options card__options--right\"  *ngIf=\"optionsRight?.length > 0\"> <div class=\"card__option\"  [hidden]=\"option.dropdown !== undefined\"  *ngFor=\"let option of optionsRight\"> <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> </div> <div class=\"card__option\" [hidden]=\"option.dropdown === undefined\" dropdown *ngFor=\"let option of optionsRight\"> <button  dropdownToggle asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" class=\"dropdown-toggle\"> </button> <ul *dropdownMenu class=\"dropdown-menu dropdown-menu-right\" [hidden]=\"option.dropdown !== undefined\" role=\"menu\"> <li *ngFor=\"let choice of option.dropdown\"> <a class=\"dropdown-item\" (click)=\"choice.callback()\"><i class=\"{{option.prefix}} {{option.prefix}}-{{choice.icon}}\"></i>{{choice.label}}</a> </li> </ul> </div> </div> </div> <div class=\"card__body\"> <h6 class=\"card__subtitle\"  *ngIf=\"subtitle\">{{subtitle}}</h6> <div #cardContent> <ng-content selector=\".card__content\" ></ng-content> </div> <p class=\"card__msg\"  *ngIf=\"cardContent.children.length == 0 && msg\"> {{msg}} </p> </div> <div class=\"card__footer\"  *ngIf=\"actions\"> <div class=\"card__actions\" [ngStyle]=\"{'justify-content': footer.justify, 'align-items': footer.alignment}\"> <button *ngFor=\"let action of actions\"  asIconButton class=\"card__action\" [prefix]=\"action.prefix\" [icon]=\"action.active ? action.iconActive : action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" [ngClass]=\"action?.customClass\" [disabled]=\"action.disabled\"  (click)=\"actionCallback(action)\"> {{action.label}} </button> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    CardComponent.ctorParameters = function () { return []; };
    CardComponent.propDecorators = {
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "msg": [{ type: Input, args: ['msg',] },],
        "optionsLeft": [{ type: Input, args: ['optionsLeft',] },],
        "optionsRight": [{ type: Input, args: ['optionsRight',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "footer": [{ type: Input, args: ['footer',] },],
    };
    return CardComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardImageComponent = /** @class */ (function () {
    function CardImageComponent() {
        this.orientation = 'top';
        this.footer = {
            justify: 'flex-end',
            alignment: 'center'
        };
    }
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    CardImageComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    CardImageComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-card-image',
                    template: "<div class=\"card  card--image card--{{orientation}} shadow-{{shadow}}  {{customClass}}\" > <div class=\"card__options card__options--left\" *ngIf=\"optionsLeft?.length > 0\"> <div class=\"card__option\"  *ngFor=\"let option of optionsLeft\" (click)=\"option.callback()\"> <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\"  (click)=\"option.callback()\"> </button> </div> </div> <div class=\"card__options card__options--right\"  *ngIf=\"optionsRight?.length > 0\"> <div class=\"card__option\"  [hidden]=\"option.dropdown !== undefined\"  *ngFor=\"let option of optionsRight\" > <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\"  (click)=\"option.callback()\"> </button> </div> <div class=\"card__option\" [hidden]=\"option.dropdown === undefined\" dropdown *ngFor=\"let option of optionsRight\"> <button dropdownToggle  class=\"dropdown-toggle\" asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\"> </button> <ul *dropdownMenu class=\"dropdown-menu dropdown-menu-right\" [hidden]=\"option.dropdown !== undefined\" role=\"menu\"> <li *ngFor=\"let choice of option.dropdown\"> <a class=\"dropdown-item\" (click)=\"choice.callback()\"><i class=\"{{option.prefix}} {{option.prefix}}-{{choice.icon}}\"></i>{{choice.label}}</a> </li> </ul> </div> </div> <div class=\"card__header card--image__header\"> <div class=\"card--image__img\"  [ngStyle]=\"{'background-image': img && 'url(' + img + ')'}\"> </div> </div> <div class=\"card__flex\"> <div class=\"card__body\"> <div class=\"card__fabs\" *ngIf=\"fab\"> <div class=\"btn btn-fab {{fab.customClass}} btn-fab-{{fab.size}}\" *ngIf=\"fab\" (click)=\"fab.callback()\"> <i class=\"{{fab.prefix}} {{fab.prefix}}-{{fab.icon}}\"></i> </div> </div> <h4  class=\"card__title\" *ngIf=\"title\">{{title}}</h4> <h6  class=\"card__subtitle\" *ngIf=\"subtitle\">{{subtitle}}</h6> <div #cardContent> <ng-content selector=\".card__content\" ></ng-content> </div> <p class=\"card__msg\"  *ngIf=\"cardContent.children.length == 0 && msg\"> {{msg}} </p> </div> <div class=\"card__footer\"  *ngIf=\"actions\"> <div class=\"card__actions\"  [ngStyle]=\"{'justify-content': footer.justify, 'align-items': footer.alignment}\"> <button *ngFor=\"let action of actions\"  asIconButton class=\"card__action\" [prefix]=\"action.prefix\" [icon]=\"action.active ? action.iconActive : action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" [ngClass]=\"action?.customClass\" [disabled]=\"action.disabled\"  (click)=\"actionCallback(action)\"> {{action.label}} </button> </div> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    CardImageComponent.ctorParameters = function () { return []; };
    CardImageComponent.propDecorators = {
        "img": [{ type: Input, args: ['img',] },],
        "title": [{ type: Input, args: ['title',] },],
        "orientation": [{ type: Input, args: ['orientation',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "msg": [{ type: Input, args: ['msg',] },],
        "fab": [{ type: Input, args: ['fab',] },],
        "optionsLeft": [{ type: Input, args: ['optionsLeft',] },],
        "optionsRight": [{ type: Input, args: ['optionsRight',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "footer": [{ type: Input, args: ['footer',] },],
    };
    return CardImageComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardBgComponent = /** @class */ (function () {
    function CardBgComponent() {
        this.footer = {
            justify: 'flex-end',
            alignment: 'center'
        };
    }
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    CardBgComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    CardBgComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-card-bg',
                    template: "<div class=\"card card--bg {{customClass}} shadow-{{shadow}}\"  [ngStyle]=\"{'background-image': bg && 'url(' + bg + ')'}\" > <div class=\"card__options card__options--left\" *ngIf=\"optionsLeft?.length > 0\"> <div class=\"card__option\"  *ngFor=\"let option of optionsLeft\" (click)=\"option.callback()\"> <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [color]=\"option?.color\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> </div> </div> <div class=\"card__options card__options--right\"  *ngIf=\"optionsRight?.length > 0\"> <div class=\"card__option\"  [hidden]=\"option.dropdown !== undefined\"  *ngFor=\"let option of optionsRight\" > <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> </div> <div class=\"card__option\" [hidden]=\"option.dropdown === undefined\" dropdown *ngFor=\"let option of optionsRight\"> <button  dropdownToggle asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" class=\"dropdown-toggle\"> </button> <ul *dropdownMenu class=\"dropdown-menu dropdown-menu-right\" [hidden]=\"option.dropdown !== undefined\" role=\"menu\"> <li *ngFor=\"let choice of option.dropdown\"> <a class=\"dropdown-item\" (click)=\"choice.callback()\"><i class=\"{{option.prefix}} {{option.prefix}}-{{choice.icon}}\"></i>{{choice.label}}</a> </li> </ul> </div> </div> <div class=\"card__body\" >      <h4  class=\"card__title\" *ngIf=\"title\">{{title}}</h4> <h6  class=\"card__subtitle\" *ngIf=\"subtitle\">{{subtitle}}</h6> </div> <div class=\"card__footer\"  *ngIf=\"actions\"> <div class=\"card__actions\" [ngStyle]=\"{'justify-content': footer.justify, 'align-items': footer.alignment}\"> <button *ngFor=\"let action of actions\"  asIconButton class=\"card__action\" [prefix]=\"action.prefix\" [icon]=\"action.active ? action.iconActive : action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" [ngClass]=\"action?.customClass\" [disabled]=\"action.disabled\"  (click)=\"actionCallback(action)\"> {{action.label}} </button> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    CardBgComponent.ctorParameters = function () { return []; };
    CardBgComponent.propDecorators = {
        "bg": [{ type: Input, args: ['bg',] },],
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "optionsLeft": [{ type: Input, args: ['optionsLeft',] },],
        "optionsRight": [{ type: Input, args: ['optionsRight',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "footer": [{ type: Input, args: ['footer',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
    };
    return CardBgComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardDataComponent = /** @class */ (function () {
    function CardDataComponent() {
        this.prefix = 'mdi';
    }
    /**
     * @return {?}
     */
    CardDataComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.hover = false;
    };
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    CardDataComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    CardDataComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-card-data',
                    template: "<div class=\"card card--data shadow-{{shadow}} {{customClass}}\"> <div class=\"card__thumb\"  *ngIf=\"img && !icon\" (mouseover)='hover = true' (mouseleave)='hover = false'> <div class=\"card--data__img circle\" [ngStyle]=\"{'background-image': img && 'url(' + img + ')'}\" *ngIf=\"!hover\"></div> <div class=\"checkbox\" *ngIf=\"hover\"> <label> <input type=\"checkbox\" value=\"\"> </label> </div> </div> <div class=\"card__icon\" *ngIf=\"icon && !img\"> <i class=\"{{prefix}} {{prefix}}-{{icon}}\"></i> </div> <div class=\"card__content\"> <h5  class=\"card--data__title\">{{title}}</h5> <span  class=\"card--data__subtitle\">{{subtitle}}</span> </div> <div class=\"card--data__actions\" *ngIf=\"actions\"> <button *ngFor=\"let action of actions\"  asIconButton class=\"card__action\" [prefix]=\"action.prefix\" [icon]=\"action.active ? action.iconActive : action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" [ngClass]=\"action?.customClass\" [disabled]=\"action.disabled\"  (click)=\"actionCallback(action)\"> {{action.label}} </button> </div>"
                },] },
    ];
    /** @nocollapse */
    CardDataComponent.ctorParameters = function () { return []; };
    CardDataComponent.propDecorators = {
        "img": [{ type: Input, args: ['img',] },],
        "icon": [{ type: Input, args: ['icon',] },],
        "prefix": [{ type: Input, args: ['prefix',] },],
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
    };
    return CardDataComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardProfileComponent = /** @class */ (function () {
    function CardProfileComponent() {
        this.footer = {
            justify: 'flex-end',
            alignment: 'center'
        };
    }
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    CardProfileComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    CardProfileComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-card-profile',
                    template: "<div class=\"card card--profile {{customClass}} shadow-{{shadow}}\" > <div class=\"card__header\"> <div class=\"card--profile__img\"  [ngStyle]=\"{'background-image': bg && 'url(' + bg + ')'}\"> </div> <div class=\"card__options card__options--left\" *ngIf=\"optionsLeft?.length > 0\"> <div class=\"card__option\" *ngFor=\"let option of optionsLeft\" (click)=\"option.callback()\"> <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [color]=\"option?.color\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> </div> </div>  <div class=\"card__options card__options--right\" *ngIf=\"optionsRight?.length > 0\"> <div class=\"card__option\" [hidden]=\"option.dropdown !== undefined\" *ngFor=\"let option of optionsRight\" (click)=\"option.callback()\"> <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [color]=\"option?.color\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> </div> <div class=\"card__option\" [hidden]=\"option.dropdown === undefined\" dropdown *ngFor=\"let option of optionsRight\"> <button  dropdownToggle asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" class=\"dropdown-toggle\"> </button> <ul *dropdownMenu class=\"dropdown-menu dropdown-menu-right\" [hidden]=\"option.dropdown !== undefined\" role=\"menu\"> <li *ngFor=\"let choice of option.dropdown\"> <a class=\"dropdown-item\" (click)=\"choice.callback()\"><i class=\"{{option.prefix}} {{option.prefix}}-{{choice.icon}}\"></i>{{choice.label}}</a> </li> </ul> </div> </div> </div> <div class=\"card__body\"> <div class=\"card__subheader\"> <div class=\"card__avatar circle shadow-1\" [ngStyle]=\"{'background-image': avatar && 'url(' + avatar + ')'}\"> </div> <div class=\"btn btn-fab {{fab.customClass}} btn-fab-{{fab.size}}\" *ngIf=\"fab\" (click)=\"fab.callback()\"> <i class=\"{{fab.prefix}} {{fab.prefix}}-{{fab.icon}}\"></i> </div> </div> <h4 class=\"card__title\">{{title}}</h4> <h6 class=\"card__subtitle\">{{subtitle}}</h6> <!-- single slot transclusion here --> <ng-content select=\".card__content\"></ng-content> </div> <div class=\"card__footer\" *ngIf=\"stats?.length > 0\"> <div class=\"card__stats\"> <div class=\"card__stat\"  *ngFor=\"let stat of stats\"> <span class=\"stat__value\">{{stat.value }}</span> <span class=\"stat__line\"></span> <span class=\"stat__label\">{{stat.label}}</span> </div> </div> <div class=\"card__actions\" [ngStyle]=\"{'justify-content': footer.justify, 'align-items': footer.alignment}\"> <button *ngFor=\"let action of actions\"  asIconButton class=\"card__action\" [prefix]=\"action.prefix\" [icon]=\"action.active ? action.iconActive : action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" [ngClass]=\"action?.customClass\" [disabled]=\"action.disabled\"  (click)=\"actionCallback(action)\"> {{action.label}} </button> </div> </div> </div>",
                },] },
    ];
    /** @nocollapse */
    CardProfileComponent.ctorParameters = function () { return []; };
    CardProfileComponent.propDecorators = {
        "bg": [{ type: Input, args: ['bg',] },],
        "avatar": [{ type: Input, args: ['avatar',] },],
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "msg": [{ type: Input, args: ['msg',] },],
        "fab": [{ type: Input, args: ['fab',] },],
        "stats": [{ type: Input, args: ['stats',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "optionsLeft": [{ type: Input, args: ['optionsLeft',] },],
        "optionsRight": [{ type: Input, args: ['optionsRight',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "footer": [{ type: Input, args: ['footer',] },],
    };
    return CardProfileComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardIllustrationComponent = /** @class */ (function () {
    function CardIllustrationComponent() {
        this.footer = {
            justify: 'flex-end',
            alignment: 'center'
        };
    }
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    CardIllustrationComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    CardIllustrationComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-card-illustration',
                    template: "<div class=\"card  card--illustration card--{{orientation}} shadow-{{shadow}}  {{customClass}}\" > <div class=\"card__options card__options--left\" *ngIf=\"optionsLeft?.length > 0\"> <div class=\"card__option\"  *ngFor=\"let option of optionsLeft\" (click)=\"option.callback()\"> <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [color]=\"option?.color\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> </div> </div> <div class=\"card__options card__options--right\"  *ngIf=\"optionsRight?.length > 0\"> <div class=\"card__option\"  [hidden]=\"option.dropdown !== undefined\"  *ngFor=\"let option of optionsRight\" > <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [color]=\"option?.color\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> </div> <div class=\"card__option\" [hidden]=\"option.dropdown === undefined\" dropdown *ngFor=\"let option of optionsRight\"> <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> <ul *dropdownMenu class=\"dropdown-menu dropdown-menu-right\" [hidden]=\"option.dropdown !== undefined\" role=\"menu\"> <li *ngFor=\"let choice of option.dropdown\"> <a class=\"dropdown-item\" (click)=\"choice.callback()\"><i class=\"{{option.prefix}} {{option.prefix}}-{{choice.icon}}\"></i>{{choice.label}}</a> </li> </ul> </div> </div> <div class=\"card__header card--illustration__header\"> <div class=\"card--illustration__img\"  [ngStyle]=\"{'background-image': img && 'url(' + img + ')'}\"> </div> </div> <div class=\"card__flex\"> <div class=\"card__body\"> <div class=\"card__fabs\" *ngIf=\"fab\"> <div class=\"btn btn-fab {{fab.customClass}} btn-fab-{{fab.size}}\" *ngIf=\"fab\" (click)=\"fab.callback()\"> <i class=\"{{fab.prefix}} {{fab.prefix}}-{{fab.icon}}\"></i> </div> </div> <h4 class=\"card__title\"  *ngIf=\"title\">{{title}}</h4> <h6 class=\"card__subtitle\" *ngIf=\"subtitle\">{{subtitle}}</h6> <div #cardContent> <ng-content selector=\".card__content\" ></ng-content> </div> <p class=\"card__msg\"  *ngIf=\"cardContent.children.length == 0 && msg\"> {{msg}} </p> </div> <div class=\"card__footer\"  *ngIf=\"actions\"> <div class=\"card__actions\" [ngStyle]=\"{'justify-content': footer.justify, 'align-items': footer.alignment}\"> <button *ngFor=\"let action of actions\"  asIconButton class=\"card__action\" [prefix]=\"action.prefix\" [icon]=\"action.active ? action.iconActive : action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" [ngClass]=\"action?.customClass\" [disabled]=\"action.disabled\"  (click)=\"actionCallback(action)\"> {{action.label}} </button> </div> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    CardIllustrationComponent.ctorParameters = function () { return []; };
    CardIllustrationComponent.propDecorators = {
        "img": [{ type: Input, args: ['img',] },],
        "title": [{ type: Input, args: ['title',] },],
        "orientation": [{ type: Input, args: ['orientation',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "footer": [{ type: Input, args: ['footer',] },],
        "msg": [{ type: Input, args: ['msg',] },],
        "fab": [{ type: Input, args: ['fab',] },],
        "optionsLeft": [{ type: Input, args: ['optionsLeft',] },],
        "optionsRight": [{ type: Input, args: ['optionsRight',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "actions": [{ type: Input, args: ['actions',] },],
    };
    return CardIllustrationComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardNumberComponent = /** @class */ (function () {
    function CardNumberComponent() {
        this.size = 'md';
        this.footer = {
            justify: 'flex-end',
            alignment: 'center'
        };
    }
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    CardNumberComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    CardNumberComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-card-number',
                    template: "<div class=\"card card--number {{customClass}} shadow-{{shadow}}\" [ngStyle]=\"{ 'height': height +'px' }\"> <div class=\"card__header\" *ngIf=\"title || optionsLeft || optionsRight\"> <div class=\"card__options card__options--left\" *ngIf=\"optionsLeft?.length > 0\"> <div class=\"card__option\" *ngFor=\"let option of optionsLeft\"> <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [color]=\"option?.color\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> </div> </div> <h4 class=\"card__title\">{{title}}</h4> <div class=\"card__options card__options--right\" *ngIf=\"optionsRight?.length > 0\"> <div class=\"card__option\" [hidden]=\"option.dropdown !== undefined\" *ngFor=\"let option of optionsRight\"> <button asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" (click)=\"option.callback()\"> </button> </div> <div class=\"card__option\" [hidden]=\"option.dropdown === undefined\" dropdown *ngFor=\"let option of optionsRight\"> <button dropdownToggle asIconButton [prefix]=\"option?.prefix\" [icon]=\"option?.icon\" [outline]=\"option?.outline\" [rounded]=\"option?.rounded\" [size]=\"option?.size\" class=\"dropdown-toggle\"> </button> <ul *dropdownMenu class=\"dropdown-menu dropdown-menu-right\" [hidden]=\"option.dropdown !== undefined\" role=\"menu\"> <li *ngFor=\"let choice of option.dropdown\"> <a class=\"dropdown-item\" (click)=\"choice.callback()\"> <i class=\"{{option.prefix}} {{option.prefix}}-{{choice.icon}}\"></i>{{choice.label}}</a> </li> </ul> </div> </div> </div> <div class=\"card__body\"> <div class=\"card__value card__value--{{size}}\"> {{ value | numberSiPrefix}} </div> <!-- <div class=\"card__value card__value--{{size}}\" *ngIf=\"!countTo\"> {{ value | numberSiPrefix}} </div> --> <!-- <div *ngIf=\"countTo\" class=\"card__value card__value--{{size}}\" counto [step]=\"countTo.step\" [countTo]=\"value\" [countFrom]=\"countTo.countFrom\" [duration]=\"countTo.duration\" (countoChange)=\"counto = $event\"> <span *ngIf=\"!pipe\">{{ counto | number:'1.0-0'| numberSiPrefix}}</span> <span *ngIf=\"pipe && pipe.type === 'currency'\">{{counto | currency:pipe.code:pipe.symbol:pipe.digitInfo | numberSiPrefix}} </span> </div> --> <div class=\"card__label card__label--{{size}\"> {{label}} </div> <div #cardContent> <ng-content select=\".card__content\"></ng-content> </div> </div> <div class=\"card__footer\" *ngIf=\"actions\"> <div class=\"card__actions\" [ngStyle]=\"{'justify-content': footer.justify, 'align-items': footer.alignment}\"> <button *ngFor=\"let action of actions\" asIconButton class=\"card__action\" [prefix]=\"action.prefix\" [icon]=\"action.active ? action.iconActive : action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" [ngClass]=\"action?.customClass\" [disabled]=\"action.disabled\" (click)=\"actionCallback(action)\"> {{action.label}} </button> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    CardNumberComponent.ctorParameters = function () { return []; };
    CardNumberComponent.propDecorators = {
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "value": [{ type: Input, args: ['value',] },],
        "siPrefix": [{ type: Input, args: ['siPrefix',] },],
        "label": [{ type: Input, args: ['label',] },],
        "size": [{ type: Input, args: ['size',] },],
        "pipe": [{ type: Input, args: ['pipe',] },],
        "optionsLeft": [{ type: Input, args: ['optionsLeft',] },],
        "optionsRight": [{ type: Input, args: ['optionsRight',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "fab": [{ type: Input, args: ['fab',] },],
        "height": [{ type: Input, args: ['height',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "footer": [{ type: Input, args: ['footer',] },],
    };
    return CardNumberComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var FabComponent = /** @class */ (function () {
    function FabComponent() {
        this.size = 'md';
        this.prefix = 'mdi';
        this.position = 'bottom right';
        this.color = 'primary';
        this.active = false;
        this.style = {};
        this.positionClasses = '';
    }
    /**
     * @return {?}
     */
    FabComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var /** @type {?} */ h;
        var /** @type {?} */ w;
        if (this.position) {
            var /** @type {?} */ positions = this.position.split(' ');
            for (var _i = 0, positions_1 = positions; _i < positions_1.length; _i++) {
                var pos = positions_1[_i];
                this.positionClasses = this.positionClasses.concat("fab-" + pos + " ");
                if ((pos === 'top' || pos === 'bottom') && !h) {
                    h = pos;
                }
                else if ((pos === 'left' || pos === 'right') && !w) {
                    w = pos;
                }
                else if (w && h) {
                    break;
                }
            }
            this.style[h] = '2rem';
            this.style[w] = '2rem';
        }
        else {
            this.style = {
                bottom: '2rem',
                right: '2rem'
            };
        }
    };
    /**
     * getPos
     * @return {?}
     */
    FabComponent.prototype.getPos = /**
     * getPos
     * @return {?}
     */
    function () {
        return this.style;
    };
    /**
     * @return {?}
     */
    FabComponent.prototype.openMenu = /**
     * @return {?}
     */
    function () {
        this.active = !this.active;
    };
    FabComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-fab',
                    template: "<div  class=\"fab fab-{{color}} {{positionClasses}}\" [ngStyle]=\"getPos()\"  [ngClass]=\"{'fab--active': active, 'fab--bg': bg, 'fab-circle': type == 'circle', 'fab-horizontal': type == 'horizontal', 'fab-vertical': type == 'vertical'}\"> <div  class=\"btn btn-fab btn-{{color}} btn-fab-{{size}}\" (click)=\"callback ? callback() : openMenu()\"> <i class=\"{{prefix}} {{prefix}}-{{active ? iconActive : icon}}\"></i> </div> <div class=\"fab__menu\" *ngIf=\"menu?.length > 0\"> <i class=\"fab__item btn btn-{{item.color}} btn-fab-mini {{item.prefix}} {{item.prefix}}-{{item.icon}}\" *ngFor=\"let item of menu\" (click)=\"item.callback()\"></i> </div> </div> ",
                    styles: ["/*------------------------------------*    $Fabs \*------------------------------------*/ /*! sass-mixins - v0.12.0 - 2015-08-26 */ @keyframes spin { from { transform: rotate(0deg); } to { transform: rotate(360deg); } } @keyframes counter-spin { from { transform: rotate(0deg); } to { transform: rotate(-360deg); } } @keyframes rotatePlane { 0% { transform: perspective(120px) rotateX(0deg) rotateY(0deg); } 50% { transform: perspective(120px) rotateX(-180deg) rotateY(0deg); } 100% { transform: perspective(120px) rotateX(-180deg) rotateY(-180deg); } } @-moz-keyframes plus-loader-top { 2.5% { background: #2D93F9; -moz-transform: rotateY(0deg); transform: rotateY(0deg); -moz-animation-timing-function: ease-in; animation-timing-function: ease-in; } 13.75% { background: #077aec; -moz-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: step-start; animation-timing-function: step-start; } 13.76% { background: #ffad33; -moz-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: ease-out; animation-timing-function: ease-out; } 25% { background: #ff9800; -moz-transform: rotateY(180deg); transform: rotateY(180deg); } 27.5% { background: #ff9800; -moz-transform: rotateY(180deg); transform: rotateY(180deg); -moz-animation-timing-function: ease-in; animation-timing-function: ease-in; } 41.25% { background: #cc7a00; -moz-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: step-start; animation-timing-function: step-start; } 41.26% { background: #ea4a4f; -moz-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: ease-out; animation-timing-function: ease-out; } 50% { background: #e51c23; -moz-transform: rotateY(0deg); transform: rotateY(0deg); } 52.5% { background: #e51c23; -moz-transform: rotateY(0deg); transform: rotateY(0deg); -moz-animation-timing-function: ease-in; animation-timing-function: ease-in; } 63.75% { background: #b9151b; -moz-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: step-start; animation-timing-function: step-start; } 63.76% { background: #6ec071; -moz-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: ease-out; animation-timing-function: ease-out; } 75% { background: #4CAF50; -moz-transform: rotateY(180deg); transform: rotateY(180deg); } 77.5% { background: #4CAF50; -moz-transform: rotateY(180deg); transform: rotateY(180deg); -moz-animation-timing-function: ease-in; animation-timing-function: ease-in; } 91.25% { background: #3d8b40; -moz-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: step-start; animation-timing-function: step-start; } 91.26% { background: #5fadfa; -moz-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: ease-in; animation-timing-function: ease-in; } 100% { background: #2D93F9; -moz-transform: rotateY(0deg); transform: rotateY(0deg); -moz-animation-timing-function: step-start; animation-timing-function: step-start; } } @-webkit-keyframes plus-loader-top { 2.5% { background: #2D93F9; -webkit-transform: rotateY(0deg); transform: rotateY(0deg); -webkit-animation-timing-function: ease-in; animation-timing-function: ease-in; } 13.75% { background: #077aec; -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 13.76% { background: #ffad33; -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -webkit-animation-timing-function: ease-out; animation-timing-function: ease-out; } 25% { background: #ff9800; -webkit-transform: rotateY(180deg); transform: rotateY(180deg); } 27.5% { background: #ff9800; -webkit-transform: rotateY(180deg); transform: rotateY(180deg); -webkit-animation-timing-function: ease-in; animation-timing-function: ease-in; } 41.25% { background: #cc7a00; -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 41.26% { background: #ea4a4f; -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -webkit-animation-timing-function: ease-out; animation-timing-function: ease-out; } 50% { background: #e51c23; -webkit-transform: rotateY(0deg); transform: rotateY(0deg); } 52.5% { background: #e51c23; -webkit-transform: rotateY(0deg); transform: rotateY(0deg); -webkit-animation-timing-function: ease-in; animation-timing-function: ease-in; } 63.75% { background: #b9151b; -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 63.76% { background: #6ec071; -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -webkit-animation-timing-function: ease-out; animation-timing-function: ease-out; } 75% { background: #4CAF50; -webkit-transform: rotateY(180deg); transform: rotateY(180deg); } 77.5% { background: #4CAF50; -webkit-transform: rotateY(180deg); transform: rotateY(180deg); -webkit-animation-timing-function: ease-in; animation-timing-function: ease-in; } 91.25% { background: #3d8b40; -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 91.26% { background: #5fadfa; -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -webkit-animation-timing-function: ease-in; animation-timing-function: ease-in; } 100% { background: #2D93F9; -webkit-transform: rotateY(0deg); transform: rotateY(0deg); -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } } @keyframes plus-loader-top { 2.5% { background: #2D93F9; -moz-transform: rotateY(0deg); -ms-transform: rotateY(0deg); -webkit-transform: rotateY(0deg); transform: rotateY(0deg); -moz-animation-timing-function: ease-in; -webkit-animation-timing-function: ease-in; animation-timing-function: ease-in; } 13.75% { background: #077aec; -moz-transform: rotateY(90deg); -ms-transform: rotateY(90deg); -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 13.76% { background: #ffad33; -moz-transform: rotateY(90deg); -ms-transform: rotateY(90deg); -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: ease-out; -webkit-animation-timing-function: ease-out; animation-timing-function: ease-out; } 25% { background: #ff9800; -moz-transform: rotateY(180deg); -ms-transform: rotateY(180deg); -webkit-transform: rotateY(180deg); transform: rotateY(180deg); } 27.5% { background: #ff9800; -moz-transform: rotateY(180deg); -ms-transform: rotateY(180deg); -webkit-transform: rotateY(180deg); transform: rotateY(180deg); -moz-animation-timing-function: ease-in; -webkit-animation-timing-function: ease-in; animation-timing-function: ease-in; } 41.25% { background: #cc7a00; -moz-transform: rotateY(90deg); -ms-transform: rotateY(90deg); -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 41.26% { background: #ea4a4f; -moz-transform: rotateY(90deg); -ms-transform: rotateY(90deg); -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: ease-out; -webkit-animation-timing-function: ease-out; animation-timing-function: ease-out; } 50% { background: #e51c23; -moz-transform: rotateY(0deg); -ms-transform: rotateY(0deg); -webkit-transform: rotateY(0deg); transform: rotateY(0deg); } 52.5% { background: #e51c23; -moz-transform: rotateY(0deg); -ms-transform: rotateY(0deg); -webkit-transform: rotateY(0deg); transform: rotateY(0deg); -moz-animation-timing-function: ease-in; -webkit-animation-timing-function: ease-in; animation-timing-function: ease-in; } 63.75% { background: #b9151b; -moz-transform: rotateY(90deg); -ms-transform: rotateY(90deg); -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 63.76% { background: #6ec071; -moz-transform: rotateY(90deg); -ms-transform: rotateY(90deg); -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: ease-out; -webkit-animation-timing-function: ease-out; animation-timing-function: ease-out; } 75% { background: #4CAF50; -moz-transform: rotateY(180deg); -ms-transform: rotateY(180deg); -webkit-transform: rotateY(180deg); transform: rotateY(180deg); } 77.5% { background: #4CAF50; -moz-transform: rotateY(180deg); -ms-transform: rotateY(180deg); -webkit-transform: rotateY(180deg); transform: rotateY(180deg); -moz-animation-timing-function: ease-in; -webkit-animation-timing-function: ease-in; animation-timing-function: ease-in; } 91.25% { background: #3d8b40; -moz-transform: rotateY(90deg); -ms-transform: rotateY(90deg); -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 91.26% { background: #5fadfa; -moz-transform: rotateY(90deg); -ms-transform: rotateY(90deg); -webkit-transform: rotateY(90deg); transform: rotateY(90deg); -moz-animation-timing-function: ease-in; -webkit-animation-timing-function: ease-in; animation-timing-function: ease-in; } 100% { background: #2D93F9; -moz-transform: rotateY(0deg); -ms-transform: rotateY(0deg); -webkit-transform: rotateY(0deg); transform: rotateY(0deg); -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } } @-moz-keyframes plus-loader-bottom { 0% { background: #ff9800; -moz-animation-timing-function: step-start; animation-timing-function: step-start; } 50% { background: #ff9800; -moz-animation-timing-function: step-start; animation-timing-function: step-start; } 75% { background: #4CAF50; -moz-animation-timing-function: step-start; animation-timing-function: step-start; } 100% { background: #4CAF50; -moz-animation-timing-function: step-start; animation-timing-function: step-start; } } @-webkit-keyframes plus-loader-bottom { 0% { background: #ff9800; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 50% { background: #ff9800; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 75% { background: #4CAF50; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 100% { background: #4CAF50; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } } @keyframes plus-loader-bottom { 0% { background: #ff9800; -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 50% { background: #ff9800; -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 75% { background: #4CAF50; -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 100% { background: #4CAF50; -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } } @-moz-keyframes plus-loader-background { 0% { background: #2D93F9; -moz-transform: rotateZ(180deg); transform: rotateZ(180deg); } 25% { background: #2D93F9; -moz-transform: rotateZ(180deg); transform: rotateZ(180deg); -moz-animation-timing-function: step-start; animation-timing-function: step-start; } 27.5% { background: #e51c23; -moz-transform: rotateZ(90deg); transform: rotateZ(90deg); } 50% { background: #e51c23; -moz-transform: rotateZ(90deg); transform: rotateZ(90deg); -moz-animation-timing-function: step-start; animation-timing-function: step-start; } 52.5% { background: #e51c23; -moz-transform: rotateZ(0deg); transform: rotateZ(0deg); } 75% { background: #e51c23; -moz-transform: rotateZ(0deg); transform: rotateZ(0deg); -moz-animation-timing-function: step-start; animation-timing-function: step-start; } 77.5% { background: #2D93F9; -moz-transform: rotateZ(270deg); transform: rotateZ(270deg); } 100% { background: #2D93F9; -moz-transform: rotateZ(270deg); transform: rotateZ(270deg); -moz-animation-timing-function: step-start; animation-timing-function: step-start; } } @-webkit-keyframes plus-loader-background { 0% { background: #2D93F9; -webkit-transform: rotateZ(180deg); transform: rotateZ(180deg); } 25% { background: #2D93F9; -webkit-transform: rotateZ(180deg); transform: rotateZ(180deg); -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 27.5% { background: #e51c23; -webkit-transform: rotateZ(90deg); transform: rotateZ(90deg); } 50% { background: #e51c23; -webkit-transform: rotateZ(90deg); transform: rotateZ(90deg); -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 52.5% { background: #e51c23; -webkit-transform: rotateZ(0deg); transform: rotateZ(0deg); } 75% { background: #e51c23; -webkit-transform: rotateZ(0deg); transform: rotateZ(0deg); -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 77.5% { background: #2D93F9; -webkit-transform: rotateZ(270deg); transform: rotateZ(270deg); } 100% { background: #2D93F9; -webkit-transform: rotateZ(270deg); transform: rotateZ(270deg); -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } } @keyframes plus-loader-background { 0% { background: #2D93F9; -moz-transform: rotateZ(180deg); -ms-transform: rotateZ(180deg); -webkit-transform: rotateZ(180deg); transform: rotateZ(180deg); } 25% { background: #2D93F9; -moz-transform: rotateZ(180deg); -ms-transform: rotateZ(180deg); -webkit-transform: rotateZ(180deg); transform: rotateZ(180deg); -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 27.5% { background: #e51c23; -moz-transform: rotateZ(90deg); -ms-transform: rotateZ(90deg); -webkit-transform: rotateZ(90deg); transform: rotateZ(90deg); } 50% { background: #e51c23; -moz-transform: rotateZ(90deg); -ms-transform: rotateZ(90deg); -webkit-transform: rotateZ(90deg); transform: rotateZ(90deg); -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 52.5% { background: #e51c23; -moz-transform: rotateZ(0deg); -ms-transform: rotateZ(0deg); -webkit-transform: rotateZ(0deg); transform: rotateZ(0deg); } 75% { background: #e51c23; -moz-transform: rotateZ(0deg); -ms-transform: rotateZ(0deg); -webkit-transform: rotateZ(0deg); transform: rotateZ(0deg); -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } 77.5% { background: #2D93F9; -moz-transform: rotateZ(270deg); -ms-transform: rotateZ(270deg); -webkit-transform: rotateZ(270deg); transform: rotateZ(270deg); } 100% { background: #2D93F9; -moz-transform: rotateZ(270deg); -ms-transform: rotateZ(270deg); -webkit-transform: rotateZ(270deg); transform: rotateZ(270deg); -moz-animation-timing-function: step-start; -webkit-animation-timing-function: step-start; animation-timing-function: step-start; } } @-webkit-keyframes bars { 0%, 80%, 100% { box-shadow: 0 0; height: 24px; } 40% { box-shadow: 0 -2em; height: 26px; } } @keyframes bars { 0%, 80%, 100% { box-shadow: 0 0; height: 24px; } 40% { box-shadow: 0 -2em; height: 26px; } } @-webkit-keyframes dotsCircle { 0%, 100% { box-shadow: 0 -16px 0 4px, 12px -12px 0 0em, 16px 0 0 -8px, 12px 12px 0 -8px, 0 16px 0 -8px, -12px 12px 0 -8px, -16px 0 0 -8px, -12px -12px 0 0; } 12.5% { box-shadow: 0 -16px 0 0, 12px -12px 0 4px, 16px 0 0 0, 12px 12px 0 -8px, 0 16px 0 -8px, -12px 12px 0 -8px, -16px 0 0 -8px, -12px -12px 0 -8px; } 25% { box-shadow: 0 -16px 0 -0.5em, 12px -12px 0 0, 16px 0 0 4px, 12px 12px 0 0, 0 16px 0 -8px, -12px 12px 0 -8px, -16px 0 0 -8px, -12px -12px 0 -8px; } 37.5% { box-shadow: 0 -16px 0 -8px, 12px -12px 0 -8px, 16px 0em 0 0, 12px 12px 0 4px, 0 16px 0 0em, -12px 12px 0 -8px, -16px 0em 0 -8px, -12px -12px 0 -8px; } 50% { box-shadow: 0 -16px 0 -8px, 12px -12px 0 -8px, 16px 0 0 -8px, 12px 12px 0 0em, 0 16px 0 4px, -12px 12px 0 0, -16px 0em 0 -8px, -12px -12px 0 -8px; } 62.5% { box-shadow: 0 -16px 0 -8px, 12px -12px 0 -8px, 16px 0 0 -8px, 12px 12px 0 -8px, 0 16px 0 0, -12px 12px 0 4px, -16px 0 0 0, -12px -12px 0 -8px; } 75% { box-shadow: 0em -16px 0 -8px, 12px -12px 0 -8px, 16px 0em 0 -8px, 12px 12px 0 -8px, 0 16px 0 -8px, -12px 12px 0 0, -16px 0em 0 4px, -12px -12px 0 0; } 87.5% { box-shadow: 0em -16px 0 0, 12px -12px 0 -8px, 16px 0 0 -8px, 12px 12px 0 -8px, 0 16px 0 -8px, -12px 12px 0 0, -16px 0em 0 0, -12px -12px 0 4px; } } @keyframes dotsCircle { 0%, 100% { box-shadow: 0 -16px 0 4px, 12px -12px 0 0em, 16px 0 0 -8px, 12px 12px 0 -8px, 0 16px 0 -8px, -12px 12px 0 -8px, -16px 0 0 -8px, -12px -12px 0 0; } 12.5% { box-shadow: 0 -16px 0 0, 12px -12px 0 4px, 16px 0 0 0, 12px 12px 0 -8px, 0 16px 0 -8px, -12px 12px 0 -8px, -16px 0 0 -8px, -12px -12px 0 -8px; } 25% { box-shadow: 0 -16px 0 -0.5em, 12px -12px 0 0, 16px 0 0 4px, 12px 12px 0 0, 0 16px 0 -8px, -12px 12px 0 -8px, -16px 0 0 -8px, -12px -12px 0 -8px; } 37.5% { box-shadow: 0 -16px 0 -8px, 12px -12px 0 -8px, 16px 0em 0 0, 12px 12px 0 4px, 0 16px 0 0em, -12px 12px 0 -8px, -16px 0em 0 -8px, -12px -12px 0 -8px; } 50% { box-shadow: 0 -16px 0 -8px, 12px -12px 0 -8px, 16px 0 0 -8px, 12px 12px 0 0em, 0 16px 0 4px, -12px 12px 0 0, -16px 0em 0 -8px, -12px -12px 0 -8px; } 62.5% { box-shadow: 0 -16px 0 -8px, 12px -12px 0 -8px, 16px 0 0 -8px, 12px 12px 0 -8px, 0 16px 0 0, -12px 12px 0 4px, -16px 0 0 0, -12px -12px 0 -8px; } 75% { box-shadow: 0em -16px 0 -8px, 12px -12px 0 -8px, 16px 0em 0 -8px, 12px 12px 0 -8px, 0 16px 0 -8px, -12px 12px 0 0, -16px 0em 0 4px, -12px -12px 0 0; } 87.5% { box-shadow: 0em -16px 0 0, 12px -12px 0 -8px, 16px 0 0 -8px, 12px 12px 0 -8px, 0 16px 0 -8px, -12px 12px 0 0, -16px 0em 0 0, -12px -12px 0 4px; } } @keyframes mapping { 0% { top: 0; } 50% { top: -5px; } 100% { top: 0; } } @-webkit-keyframes mapping { 0% { top: 0; } 50% { top: -5px; } 100% { top: 0; } } @-moz-keyframes mapping { 0% { top: 0; } 50% { top: -5px; } 100% { top: 0; } } @-webkit-keyframes dots { 0%, 80%, 100% { box-shadow: 0 16px 0 -10px; } 40% { box-shadow: 0 16px 0 0; } } @keyframes dots { 0%, 80%, 100% { box-shadow: 0 16px 0 -10px; } 40% { box-shadow: 0 16px 0 0; } } @keyframes pulse { 0% { transform: scale(0.6); opacity: 0; } 33% { transform: scale(1); opacity: 1; } 100% { transform: scale(1.4); opacity: 0; } } @-webkit-keyframes minhand { 0% { -webkit-transform: rotate(0deg); } 100% { -webkit-transform: rotate(360deg); } } @-moz-keyframes minhand { 0% { -moz-transform: rotate(0deg); } 100% { -moz-transform: rotate(360deg); } } @keyframes minhand { 0% { transform: rotate(0deg); } 100% { transform: rotate(360deg); } } @-webkit-keyframes hrhand { 0% { -webkit-transform: rotate(0deg); } 100% { -webkit-transform: rotate(360deg); } } @-moz-keyframes hrhand { 0% { -moz-transform: rotate(0deg); } 100% { -moz-transform: rotate(360deg); } } @keyframes hrhand { 0% { transform: rotate(0deg); } 100% { transform: rotate(360deg); } } /* @keyframes spin { to { transform: rotate(1turn); } } */ @keyframes placeHolderShimmer { 0% { background-position: -468px 0; } 100% { background-position: 468px 0; } } .fab { position: fixed; } .fab__item { position: absolute; top: 0; right: 0; z-index: -1; display: block; text-decoration: none; color: white; font-size: 1em; opacity: 0; width: 3em; height: 3em; border-radius: 50%; text-align: center; line-height: 3; transition: transform .3s ease, background .2s ease, opacity .2s ease; } .fab-circle--bg:after { display: block; content: ' '; width: 3.5em; height: 3.5em; border-radius: 50%; position: absolute; top: 0; right: 0; z-index: -2; transition: all .3s ease; } .fab-circle__menu { padding: 0; margin: 0; } .fab-circle__item:hover { background-color: rgba(0, 0, 0, 0.3); } .fab-circle.fab--active .btn-fab, .fab-horizontal.fab--active .btn-fab, .fab-vertical.fab--active .btn-fab { box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.3); } .fab-circle.fab--active .btn-fab i, .fab-horizontal.fab--active .btn-fab i, .fab-vertical.fab--active .btn-fab i { transform: rotate(-45deg); } .fab-circle.fab--active after, .fab-horizontal.fab--active after, .fab-vertical.fab--active after { transform: scale3d(5.5, 5.5, 1); transition-timing-function: cubic-bezier(0.68, 1.55, 0.265, 1); } .fab-circle.fab--active .fab__item, .fab-horizontal.fab--active .fab__item, .fab-vertical.fab--active .fab__item { transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275); opacity: 1; } .fab-circle.fab--active.fab-bottom.fab-right .fab__item:nth-child(3) { transform: translate3d(1em, -7em, 0); } .fab-circle.fab--active.fab-bottom.fab-right .fab__item:nth-child(1) { transform: translate3d(-3.5em, -6.3em, 0); } .fab-circle.fab--active.fab-bottom.fab-right .fab__item:nth-child(2) { transform: translate3d(-6.5em, -3.2em, 0); } .fab-circle.fab--active.fab-bottom.fab-right .fab__item:nth-child(4) { transform: translate3d(-7em, 1em, 0); } .fab-circle.fab--active.fab-bottom.fab-left .fab__item:nth-child(3) { transform: translate3d(-1em, -7em, 0); } .fab-circle.fab--active.fab-bottom.fab-left .fab__item:nth-child(1) { transform: translate3d(3.5em, -6.3em, 0); } .fab-circle.fab--active.fab-bottom.fab-left .fab__item:nth-child(2) { transform: translate3d(6.5em, -3.2em, 0); } .fab-circle.fab--active.fab-bottom.fab-left .fab__item:nth-child(4) { transform: translate3d(7em, 1em, 0); } .fab-circle.fab--active.fab-top.fab-right .fab__item:nth-child(3) { transform: translate3d(1em, 7em, 0); } .fab-circle.fab--active.fab-top.fab-right .fab__item:nth-child(1) { transform: translate3d(-3.5em, 6.3em, 0); } .fab-circle.fab--active.fab-top.fab-right .fab__item:nth-child(2) { transform: translate3d(-6.5em, 3.2em, 0); } .fab-circle.fab--active.fab-top.fab-right .fab__item:nth-child(4) { transform: translate3d(-7em, -1em, 0); } .fab-circle.fab--active.fab-top.fab-left .fab__item:nth-child(3) { transform: translate3d(-1em, 7em, 0); } .fab-circle.fab--active.fab-top.fab-left .fab__item:nth-child(1) { transform: translate3d(3.5em, 6.3em, 0); } .fab-circle.fab--active.fab-top.fab-left .fab__item:nth-child(2) { transform: translate3d(6.5em, 3.2em, 0); } .fab-circle.fab--active.fab-top.fab-left .fab__item:nth-child(4) { transform: translate3d(7em, -1em, 0); } .fab-horizontal.fab--active.fab-right .fab__item:nth-child(1) { transform: translate3d(-5.5em, 0.75em, 0); } .fab-horizontal.fab--active.fab-right .fab__item:nth-child(2) { transform: translate3d(-9.5em, 0.75em, 0); } .fab-horizontal.fab--active.fab-right .fab__item:nth-child(3) { transform: translate3d(-13.5em, 0.75em, 0); } .fab-horizontal.fab--active.fab-right .fab__item:nth-child(4) { transform: translate3d(-17.5em, 0.75em, 0); } .fab-horizontal.fab--active.fab-left .fab__item:nth-child(1) { transform: translate3d(5.5em, 0.75em, 0); } .fab-horizontal.fab--active.fab-left .fab__item:nth-child(2) { transform: translate3d(9.5em, 0.75em, 0); } .fab-horizontal.fab--active.fab-left .fab__item:nth-child(3) { transform: translate3d(13.5em, 0.75em, 0); } .fab-horizontal.fab--active.fab-left .fab__item:nth-child(4) { transform: translate3d(17.5em, 0.75em, 0); } .fab-vertical.fab--active.fab-bottom .fab__item:nth-child(1) { transform: translate3d(-0.75em, -5.5em, 0); } .fab-vertical.fab--active.fab-bottom .fab__item:nth-child(2) { transform: translate3d(-0.75em, -9.5em, 0); } .fab-vertical.fab--active.fab-bottom .fab__item:nth-child(3) { transform: translate3d(-0.75em, -13.5em, 0); } .fab-vertical.fab--active.fab-bottom .fab__item:nth-child(4) { transform: translate3d(-0.75em, -17.5em, 0); } .fab-vertical.fab--active.fab-top .fab__item:nth-child(1) { transform: translate3d(-0.75em, 5.5em, 0); } .fab-vertical.fab--active.fab-top .fab__item:nth-child(2) { transform: translate3d(-0.75em, 9.5em, 0); } .fab-vertical.fab--active.fab-top .fab__item:nth-child(3) { transform: translate3d(-0.75em, 13.5em, 0); } .fab-vertical.fab--active.fab-top .fab__item:nth-child(4) { transform: translate3d(-0.75em, 17.5em, 0); } /* .fab-circle .btn-fab { display: block; width: 3.5em; height: 3.5em; border-radius: 50%; box-shadow: 0 2px 5px 0 hsla(0, 0%, 0%, .26); color: hsl(0, 0%, 100%); text-align: center; line-height: 3.9; cursor: pointer; outline: 0; } */ .fab-circle .btn-fab:active { box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4); } .fab-circle .btn-fab i { font-size: 1.3em; transition: transform .2s; } .fab-circle--primary .fab-circle--bg:after { background-color: #46a0fa; } "]
                },] },
    ];
    /** @nocollapse */
    FabComponent.ctorParameters = function () { return []; };
    FabComponent.propDecorators = {
        "callback": [{ type: Input, args: ['callback',] },],
        "icon": [{ type: Input, args: ['icon',] },],
        "iconActive": [{ type: Input, args: ['iconActive',] },],
        "size": [{ type: Input, args: ['size',] },],
        "prefix": [{ type: Input, args: ['prefix',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "position": [{ type: Input, args: ['position',] },],
        "color": [{ type: Input, args: ['color',] },],
        "outline": [{ type: Input, args: ['outline',] },],
        "bg": [{ type: Input, args: ['bg',] },],
        "menu": [{ type: Input, args: ['menu',] },],
        "type": [{ type: Input, args: ['type',] },],
    };
    return FabComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CircleFabComponent = /** @class */ (function () {
    function CircleFabComponent() {
        this.btnClass = 'primary';
        this.active = false;
    }
    /**
     * @return {?}
     */
    CircleFabComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * openCircle
     * @return {?}
     */
    CircleFabComponent.prototype.openCircle = /**
     * openCircle
     * @return {?}
     */
    function () {
        this.active = !this.active;
    };
    CircleFabComponent.decorators = [
        { type: Component, args: [{
                    selector: 'circle-fab',
                    template: "<div class=\"circle-fab circle-fab--{{btnClass}}\" [ngClass]=\"{'circle-fab--active': active, 'circle-fab--bg': bg}\"> <div class=\"btn btn-fab btn-{{btnClass}} btn-fab-sm\" (click)=\"openCircle()\"> <i class=\"mdi mdi-settings\"></i> </div> <div class=\"circle-fab__menu\" [hidden]=\"menu?.length === 0\"> <i class=\"circle-fab__item btn btn-fab-mini mdi mdi-{{item.icon}}\" [ngStyle]=\"{ 'background-color': item.bg, 'color': item.color }\" *ngFor=\"let item of menu\" (click)=\"item.callback()\"></i> </div> </div> ",
                    styles: ["/*------------------------------------*    $Circle-fab \*------------------------------------*/ body { background-color: #EDEDED; } .circle-fab { position: fixed; bottom: 1em; right: 1em; } .circle-fab--bg:after { display: block; content: ' '; width: 3.5em; height: 3.5em; border-radius: 50%; position: absolute; top: 0; right: 0; z-index: -2; transition: all .3s ease; } .circle-fab--active .btn-fab { box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.3); } .circle-fab--active .btn-fab i { transform: rotate(-45deg); } .circle-fab--active:after { transform: scale3d(5.5, 5.5, 1); transition-timing-function: cubic-bezier(0.68, 1.55, 0.265, 1); } .circle-fab--active .circle-fab__item { transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275); opacity: 1; } .circle-fab--active .circle-fab__item:nth-child(3) { transform: translate3d(1em, -7em, 0); } .circle-fab--active .circle-fab__item:nth-child(1) { transform: translate3d(-3.5em, -6.3em, 0); } .circle-fab--active .circle-fab__item:nth-child(2) { transform: translate3d(-6.5em, -3.2em, 0); } .circle-fab--active .circle-fab__item:nth-child(4) { transform: translate3d(-7em, 1em, 0); } .circle-fab__menu { padding: 0; margin: 0; } .circle-fab__item { position: absolute; top: .2em; right: .2em; z-index: -1; display: block; text-decoration: none; color: white; font-size: 1em; opacity: 0; width: 3em; height: 3em; border-radius: 50%; text-align: center; line-height: 3; transition: transform .3s ease, background .2s ease, opacity .2s ease; } .circle-fab__item:hover { background-color: rgba(0, 0, 0, 0.3); } .circle-fab .btn-fab { display: block; width: 3.5em; height: 3.5em; border-radius: 50%; box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26); color: white; text-align: center; line-height: 3.9; cursor: pointer; outline: 0; } .circle-fab .btn-fab:active { box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4); } .circle-fab .btn-fab i { font-size: 1.3em; transition: transform .2s; } .circle-fab--primary .circle-fab--bg:after { background-color: #46a0fa; } "]
                },] },
    ];
    /** @nocollapse */
    CircleFabComponent.ctorParameters = function () { return []; };
    CircleFabComponent.propDecorators = {
        "bg": [{ type: Input, args: ['bg',] },],
        "menu": [{ type: Input, args: ['menu',] },],
        "btnClass": [{ type: Input, args: ['btnClass',] },],
    };
    return CircleFabComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var FabsModule = /** @class */ (function () {
    function FabsModule() {
    }
    FabsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        FabComponent
                    ],
                    declarations: [
                        FabComponent
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    FabsModule.ctorParameters = function () { return []; };
    return FabsModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var AsButtonDirective = /** @class */ (function () {
    function AsButtonDirective(renderer, hostElement) {
        this.renderer = renderer;
        this.hostElement = hostElement;
        this.color = 'plain';
        // tslint:disable-next-line:no-inferrable-types
        this.loading = false;
        this.cls = {};
        this.attributes = [];
        this.nativeElement = hostElement.nativeElement;
        this.renderer.addClass(this.nativeElement, "btn");
    }
    /**
     * @return {?}
     */
    AsButtonDirective.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.cls = {
            rounded: "btn-rounded",
            block: "btn-block",
            size: "btn-" + this.size,
            outline: "btn-outline-" + this.color,
            color: "btn-" + this.color
        };
        this.attributes = Object.keys(this.cls);
        if (this.checkInput(this.loading)) {
            this.appendLoading();
        }
        if (this.checkInput(this.rounded)) {
            this.addClass(this.cls['rounded']);
        }
        if (this.checkInput(this.block)) {
            this.addClass(this.cls['block']);
        }
        if (this.checkInput(this.size)) {
            this.addClass(this.cls['size']);
        }
        if (this.checkInput(this.outline)) {
            this.addClass(this.cls['outline']);
        }
        else {
            this.addClass(this.cls['color']);
        }
    };
    /**
     * @param {?} changes
     * @return {?}
     */
    AsButtonDirective.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        for (var /** @type {?} */ key in changes) {
            if (changes.hasOwnProperty(key) && !changes[key].firstChange) {
                this[key] = changes[key].currentValue;
                if (key === 'loading') {
                    changes['loading'].currentValue ?
                        this.appendLoading() : this.removeLoading();
                }
                else {
                    if (key === 'color') {
                        this.addClass("btn-" + changes[key].currentValue, "btn-" + changes[key].previousValue);
                    }
                    else if (key === 'outline') {
                        var /** @type {?} */ isOutline = changes[key].currentValue;
                        this.addClass("btn-" + (isOutline ? 'outline-' : '') + this.color, "btn-" + (!isOutline ? 'outline-' : '') + this.color);
                    }
                    else {
                        this.addClass("btn-" + key);
                    }
                }
            }
        }
    };
    /**
     * @param {?} input
     * @return {?}
     */
    AsButtonDirective.prototype.checkInput = /**
     * @param {?} input
     * @return {?}
     */
    function (input) {
        return (input === true || input === '');
    };
    /**
     * @return {?}
     */
    AsButtonDirective.prototype.appendLoading = /**
     * @return {?}
     */
    function () {
        var /** @type {?} */ child = this.renderer.createElement("i");
        this.renderer.appendChild(this.nativeElement, child);
        this.renderer.addClass(this.nativeElement, "btn-loading");
    };
    /**
     * @return {?}
     */
    AsButtonDirective.prototype.removeLoading = /**
     * @return {?}
     */
    function () {
        var /** @type {?} */ child = this.nativeElement.childNodes[1];
        this.renderer.removeChild(this.nativeElement, child);
        this.renderer.removeClass(this.nativeElement, "btn-loading");
    };
    /**
     * @param {?} current
     * @param {?=} prev
     * @return {?}
     */
    AsButtonDirective.prototype.addClass = /**
     * @param {?} current
     * @param {?=} prev
     * @return {?}
     */
    function (current, prev) {
        if (prev === void 0) { prev = null; }
        if (prev) {
            this.renderer.removeClass(this.nativeElement, prev);
        }
        if (this.nativeElement.classList.contains(current)) {
            this.renderer.removeClass(this.nativeElement, current);
        }
        else {
            this.renderer.addClass(this.nativeElement, current);
        }
    };
    AsButtonDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[asButton]'
                },] },
    ];
    /** @nocollapse */
    AsButtonDirective.ctorParameters = function () { return [
        { type: Renderer2, },
        { type: ElementRef, },
    ]; };
    AsButtonDirective.propDecorators = {
        "color": [{ type: Input },],
        "size": [{ type: Input },],
        "outline": [{ type: Input },],
        "rounded": [{ type: Input },],
        "block": [{ type: Input },],
        "loading": [{ type: Input },],
        "asButton": [{ type: Input, args: ['asButton',] },],
    };
    return AsButtonDirective;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var AsIconButtonDirective = /** @class */ (function () {
    function AsIconButtonDirective(renderer, hostElement) {
        this.renderer = renderer;
        this.hostElement = hostElement;
        this.color = 'plain';
        this.prefix = 'mdi';
        this.side = 'left';
        this.nativeElement = hostElement.nativeElement;
    }
    /**
     * @return {?}
     */
    AsIconButtonDirective.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.renderer.addClass(this.nativeElement, "btn");
        if (this.icon !== undefined && this.nativeElement) {
            this.appendIcon();
        }
        if (this.checkInput(this.rounded)) {
            this.renderer.addClass(this.nativeElement, "btn-rounded");
        }
        if (this.checkInput(this.circle)) {
            this.renderer.addClass(this.nativeElement, "btn-circle");
        }
        if (this.checkInput(this.block)) {
            this.renderer.addClass(this.nativeElement, "btn-block");
        }
        if (this.checkInput(this.size)) {
            this.renderer.addClass(this.nativeElement, "btn-" + this.size);
        }
        if (this.checkInput(this.outline)) {
            this.renderer.addClass(this.nativeElement, "btn-outline-" + this.color);
        }
        else {
            this.renderer.addClass(this.nativeElement, "btn-" + this.color);
        }
    };
    /**
     * @param {?} changes
     * @return {?}
     */
    AsIconButtonDirective.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        for (var /** @type {?} */ key in changes) {
            if (changes.hasOwnProperty(key) && !changes[key].firstChange) {
                this[key] = changes[key].currentValue;
                if (key === 'asIconButton') {
                    changes['asIconButton'].currentValue ?
                        this.appendIcon() : this.removeIcon();
                }
                else {
                    if (key === 'color') {
                        this.addClass("btn-" + changes[key].currentValue, "btn-" + changes[key].previousValue);
                    }
                    else if (key === 'icon') {
                        this.removeIcon();
                        this.appendIcon();
                    }
                    else if (key === 'outline') {
                        var /** @type {?} */ isOutline = changes[key].currentValue;
                        this.addClass("btn-" + (isOutline ? 'outline-' : '') + this.color, "btn-" + (!isOutline ? 'outline-' : '') + this.color);
                    }
                    else {
                        this.addClass("btn-" + key);
                    }
                }
            }
        }
    };
    /**
     * @param {?} current
     * @param {?=} prev
     * @return {?}
     */
    AsIconButtonDirective.prototype.addClass = /**
     * @param {?} current
     * @param {?=} prev
     * @return {?}
     */
    function (current, prev) {
        if (prev === void 0) { prev = null; }
        if (prev) {
            this.renderer.removeClass(this.nativeElement, prev);
        }
        if (this.nativeElement.classList.contains(current)) {
            this.renderer.removeClass(this.nativeElement, current);
        }
        else {
            this.renderer.addClass(this.nativeElement, current);
        }
    };
    /**
     * @param {?} input
     * @return {?}
     */
    AsIconButtonDirective.prototype.checkInput = /**
     * @param {?} input
     * @return {?}
     */
    function (input) {
        return (input === true || input === '');
    };
    /**
     * @return {?}
     */
    AsIconButtonDirective.prototype.appendIcon = /**
     * @return {?}
     */
    function () {
        var /** @type {?} */ child = this.renderer.createElement("i");
        if (this.nativeElement.innerText.length > 0) {
            this.renderer.addClass(this.nativeElement, "btn-icon-" + this.side);
        }
        this.renderer.addClass(child, "" + this.prefix);
        this.renderer.addClass(child, this.prefix + "-" + this.icon);
        this.renderer.appendChild(this.nativeElement, child);
    };
    /**
     * @return {?}
     */
    AsIconButtonDirective.prototype.removeIcon = /**
     * @return {?}
     */
    function () {
        var /** @type {?} */ child = this.nativeElement.childNodes[1];
        this.renderer.removeChild(this.nativeElement, child);
    };
    AsIconButtonDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[asIconButton]',
                },] },
    ];
    /** @nocollapse */
    AsIconButtonDirective.ctorParameters = function () { return [
        { type: Renderer2, },
        { type: ElementRef, },
    ]; };
    AsIconButtonDirective.propDecorators = {
        "color": [{ type: Input },],
        "size": [{ type: Input },],
        "outline": [{ type: Input },],
        "rounded": [{ type: Input },],
        "circle": [{ type: Input },],
        "block": [{ type: Input },],
        "prefix": [{ type: Input },],
        "icon": [{ type: Input },],
        "side": [{ type: Input },],
        "asIconButton": [{ type: Input, args: ['asIconButton',] },],
    };
    return AsIconButtonDirective;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ButtonsModule = /** @class */ (function () {
    function ButtonsModule() {
    }
    ButtonsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                    ],
                    exports: [
                        AsButtonDirective,
                        AsIconButtonDirective
                    ],
                    declarations: [
                        AsButtonDirective,
                        AsIconButtonDirective
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    ButtonsModule.ctorParameters = function () { return []; };
    return ButtonsModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Toggle = /** @class */ (function () {
    function Toggle(options) {
        this.toggle = options.toggle;
    }
    return Toggle;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ToggleComponent = /** @class */ (function () {
    function ToggleComponent() {
        this.toggleChange = new EventEmitter();
    }
    /**
     * touchToggle
     *
     * \@memberof ToggleComponent
     * @return {?}
     */
    ToggleComponent.prototype.touchToggle = /**
     * touchToggle
     *
     * \@memberof ToggleComponent
     * @return {?}
     */
    function () {
        this.toggleChange.emit(this.toggle.value);
    };
    ToggleComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-toggle',
                    template: "<div class=\"toggle {{customClass}}\" > <input type=\"checkbox\" id=\"toggle\"   [checked]=\"toggle === toggle.value\"  (change)=\"toggle.callback($event.target.checked); toggle.value = $event.target.checked \" class=\"toggle toggle--{{toggle.color}} hidden\"/> <label for=\"toggle\" class=\"lbl\"></label> </div> "
                },] },
    ];
    /** @nocollapse */
    ToggleComponent.ctorParameters = function () { return []; };
    ToggleComponent.propDecorators = {
        "toggle": [{ type: Input, args: ['toggle',] },],
        "toggleChange": [{ type: Output },],
    };
    return ToggleComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ToggleModule = /** @class */ (function () {
    function ToggleModule() {
    }
    ToggleModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        ToggleComponent
                    ],
                    declarations: [
                        ToggleComponent,
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    ToggleModule.ctorParameters = function () { return []; };
    return ToggleModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardToggleComponent = /** @class */ (function () {
    function CardToggleComponent() {
        this.prefix = "mdi";
    }
    /**
     * @return {?}
     */
    CardToggleComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.hover = false;
    };
    CardToggleComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-card-toggle',
                    template: "<div class=\"card card--toggle shadow-{{shadow}} {{customClass}}\"> <div class=\"card__icon\" > <i class=\"{{prefix}} {{prefix}}-{{icon}}\"></i> </div> <div class=\"card__content\"> <h5 class=\"card--toggle__title\">{{title}}</h5> <span class=\"card--toggle__subtitle\">{{toggle.value}}</span> </div> <div class=\"card--toggle__toggle\"> <as-toggle [(toggle)]=\"toggle\"></as-toggle> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    CardToggleComponent.ctorParameters = function () { return []; };
    CardToggleComponent.propDecorators = {
        "prefix": [{ type: Input, args: ['prefix',] },],
        "icon": [{ type: Input, args: ['icon',] },],
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "toggle": [{ type: Input, args: ['toggle',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
    };
    return CardToggleComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var NumberSiPrefixPipe = /** @class */ (function () {
    function NumberSiPrefixPipe() {
    }
    /**
     * @param {?} value
     * @param {?} digits
     * @return {?}
     */
    NumberSiPrefixPipe.prototype.transform = /**
     * @param {?} value
     * @param {?} digits
     * @return {?}
     */
    function (value, digits) {
        // tslint:disable-next-line:curly
        if (!value || value === undefined)
            return value;
        if (typeof (value) === 'string') {
            value = parseInt(value.replace(/,/g, ''), 0);
        }
        var /** @type {?} */ si = [
            { value: 1E18, symbol: 'E' },
            { value: 1E15, symbol: 'P' },
            { value: 1E12, symbol: 'T' },
            { value: 1E9, symbol: 'G' },
            { value: 1E6, symbol: 'M' },
            { value: 1E3, symbol: 'k' }
        ];
        var /** @type {?} */ rx = /\.0+$|(\.[0-9]*[1-9])0+$/;
        for (var _i = 0, si_1 = si; _i < si_1.length; _i++) {
            var it = si_1[_i];
            if (value >= it.value) {
                return (value / it.value).toFixed(parseInt(digits, 10)).replace(rx, '$1') + it.symbol;
            }
        }
        return value.toFixed(parseInt(digits, 10)).replace(rx, '$1');
    };
    NumberSiPrefixPipe.decorators = [
        { type: Pipe, args: [{
                    name: 'numberSiPrefix'
                },] },
    ];
    /** @nocollapse */
    NumberSiPrefixPipe.ctorParameters = function () { return []; };
    return NumberSiPrefixPipe;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var FormatCaseService = /** @class */ (function () {
    // tslint:disable-next-line:no-empty
    function FormatCaseService() {
    }
    /**
     * listSnakeToCamel
     * @param {?} arr
     * @return {?}
     */
    FormatCaseService.prototype.listSnakeToCamel = /**
     * listSnakeToCamel
     * @param {?} arr
     * @return {?}
     */
    function (arr) {
        var /** @type {?} */ that = this;
        var /** @type {?} */ newArr = [];
        arr.forEach(function (el) {
            if (that.isArray(el)) {
                newArr.push(that.listSnakeToCamel(el));
            }
            else if (that.isObject(el)) {
                newArr.push(that.snakeToCamel(el));
            }
            else {
                newArr.push(el);
            }
        });
        return newArr;
    };
    /**
     * listCamelToSnake
     * @param {?} arr
     * @return {?}
     */
    FormatCaseService.prototype.listCamelToSnake = /**
     * listCamelToSnake
     * @param {?} arr
     * @return {?}
     */
    function (arr) {
        var /** @type {?} */ that = this;
        var /** @type {?} */ newArr = [];
        arr.forEach(function (el) {
            if (that.isArray(el)) {
                newArr.push(that.listCamelToSnake(el));
            }
            else if (that.isObject(el)) {
                newArr.push(that.camelToSnake(el));
            }
            else {
                newArr.push(el);
            }
        });
        return newArr;
    };
    /**
     * snakeToCamel
     * @param {?} myObj
     * @return {?}
     */
    FormatCaseService.prototype.snakeToCamel = /**
     * snakeToCamel
     * @param {?} myObj
     * @return {?}
     */
    function (myObj) {
        var /** @type {?} */ that = this;
        var /** @type {?} */ newObj = {};
        Object.keys(myObj).forEach(function (key) {
            if (that.isArray(myObj[key])) {
                newObj[key.replace(/(_\w)/g, function (m) { return m[1].toUpperCase(); })] = that.listSnakeToCamel(myObj[key]);
            }
            else if (that.isObject(myObj[key])) {
                newObj[key.replace(/(_\w)/g, function (m) { return m[1].toUpperCase(); })] = that.snakeToCamel(myObj[key]);
            }
            else {
                newObj[key.replace(/(_\w)/g, function (m) { return m[1].toUpperCase(); })] = myObj[key];
            }
            // do something with obj
        });
        return newObj;
    };
    /**
     * camelToSnake
     * @param {?} myObj
     * @return {?}
     */
    FormatCaseService.prototype.camelToSnake = /**
     * camelToSnake
     * @param {?} myObj
     * @return {?}
     */
    function (myObj) {
        var /** @type {?} */ that = this;
        var /** @type {?} */ newObj = {};
        Object.keys(myObj).forEach(function (key) {
            if (that.isArray(myObj[key])) {
                newObj[key.replace(/([A-Z])/g, function ($1) { return '_' + $1.toLowerCase(); })] = myObj[key] = that.listCamelToSnake(myObj[key]);
            }
            else if (that.isObject(myObj[key])) {
                newObj[key.replace(/([A-Z])/g, function ($1) { return '_' + $1.toLowerCase(); })] = myObj[key] = that.camelToSnake(myObj[key]);
            }
            else {
                newObj[key.replace(/([A-Z])/g, function ($1) { return '_' + $1.toLowerCase(); })] = myObj[key] = myObj[key];
            }
            // do something with obj
        });
        return newObj;
    };
    /**
     * @param {?} a
     * @return {?}
     */
    FormatCaseService.prototype.isArray = /**
     * @param {?} a
     * @return {?}
     */
    function (a) {
        return (!!a) && (a.constructor === Array);
    };
    
    /**
     * @param {?} a
     * @return {?}
     */
    FormatCaseService.prototype.isObject = /**
     * @param {?} a
     * @return {?}
     */
    function (a) {
        return (!!a) && (a.constructor === Object);
    };
    
    FormatCaseService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    FormatCaseService.ctorParameters = function () { return []; };
    return FormatCaseService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var SpacerComponent = /** @class */ (function () {
    function SpacerComponent() {
        this.size = 'sm';
    }
    /**
     * @return {?}
     */
    SpacerComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    SpacerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-spacer',
                    template: "<div class=\"spacer spacer--{{size}}\"></div>"
                },] },
    ];
    /** @nocollapse */
    SpacerComponent.ctorParameters = function () { return []; };
    SpacerComponent.propDecorators = {
        "size": [{ type: Input, args: ['size',] },],
    };
    return SpacerComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var KeysPipe = /** @class */ (function () {
    function KeysPipe() {
    }
    /**
     * @param {?} value
     * @param {...?} args
     * @return {?}
     */
    KeysPipe.prototype.transform = /**
     * @param {?} value
     * @param {...?} args
     * @return {?}
     */
    function (value) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        var /** @type {?} */ keys = [];
        for (var /** @type {?} */ key in value) {
            if (value.hasOwnProperty(key)) {
                keys.push({ key: key, value: value[key] });
            }
        }
        return keys;
    };
    KeysPipe.decorators = [
        { type: Pipe, args: [{
                    name: 'keys'
                },] },
    ];
    /** @nocollapse */
    KeysPipe.ctorParameters = function () { return []; };
    return KeysPipe;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var MiscModule = /** @class */ (function () {
    function MiscModule() {
    }
    MiscModule.decorators = [
        { type: NgModule, args: [{
                    imports: [],
                    exports: [
                        NumberSiPrefixPipe,
                        KeysPipe,
                        SpacerComponent
                    ],
                    declarations: [
                        NumberSiPrefixPipe,
                        KeysPipe,
                        SpacerComponent
                    ],
                    providers: [
                        FormatCaseService
                    ],
                },] },
    ];
    /** @nocollapse */
    MiscModule.ctorParameters = function () { return []; };
    return MiscModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardsModule = /** @class */ (function () {
    function CardsModule() {
    }
    CardsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        ButtonsModule,
                        ToggleModule,
                        FabsModule,
                        CommonModule,
                        BsDropdownModule.forRoot(),
                        MiscModule
                    ],
                    exports: [
                        CommonModule,
                        CardComponent,
                        CardImageComponent,
                        CardBgComponent,
                        CardDataComponent,
                        CardProfileComponent,
                        CardIllustrationComponent,
                        CardNumberComponent,
                        CardToggleComponent
                    ],
                    declarations: [
                        CardComponent,
                        CardImageComponent,
                        CardBgComponent,
                        CardDataComponent,
                        CardProfileComponent,
                        CardIllustrationComponent,
                        CardNumberComponent,
                        CardToggleComponent
                    ],
                    providers: []
                },] },
    ];
    /** @nocollapse */
    CardsModule.ctorParameters = function () { return []; };
    return CardsModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ImagePreviewDirective = /** @class */ (function () {
    function ImagePreviewDirective(el, renderer) {
        this.el = el;
        this.renderer = renderer;
    }
    /**
     * @param {?} changes
     * @return {?}
     */
    ImagePreviewDirective.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        var /** @type {?} */ reader = new FileReader();
        var /** @type {?} */ el = this.el;
        reader.onloadend = function (e) {
            el.nativeElement.src = reader.result;
        };
        if (this.image) {
            return reader.readAsDataURL(this.image);
        }
    };
    ImagePreviewDirective.decorators = [
        { type: Directive, args: [{ selector: 'img[imgPreview]' },] },
    ];
    /** @nocollapse */
    ImagePreviewDirective.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: Renderer, },
    ]; };
    ImagePreviewDirective.propDecorators = {
        "image": [{ type: Input },],
    };
    return ImagePreviewDirective;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var BgImagePreviewDirective = /** @class */ (function () {
    function BgImagePreviewDirective(el, renderer) {
        this.el = el;
        this.renderer = renderer;
    }
    /**
     * @param {?} changes
     * @return {?}
     */
    BgImagePreviewDirective.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        var /** @type {?} */ reader = new FileReader();
        var /** @type {?} */ el = this.el;
        reader.onloadend = function (e) {
            el.nativeElement.style.backgroundImage = 'url(' + reader.result + ')';
        };
        if (this.image) {
            return reader.readAsDataURL(this.image);
        }
    };
    BgImagePreviewDirective.decorators = [
        { type: Directive, args: [{ selector: '[bgPreview]' },] },
    ];
    /** @nocollapse */
    BgImagePreviewDirective.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: Renderer, },
    ]; };
    BgImagePreviewDirective.propDecorators = {
        "image": [{ type: Input },],
    };
    return BgImagePreviewDirective;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var PreviewModule = /** @class */ (function () {
    function PreviewModule() {
    }
    PreviewModule.decorators = [
        { type: NgModule, args: [{
                    imports: [],
                    exports: [
                        BgImagePreviewDirective,
                        ImagePreviewDirective,
                    ],
                    declarations: [
                        BgImagePreviewDirective,
                        ImagePreviewDirective,
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    PreviewModule.ctorParameters = function () { return []; };
    return PreviewModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListComponent = /** @class */ (function () {
    function ListComponent() {
    }
    ListComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-list',
                    template: "<div  class=\"list {{customClass}}\"  [ngStyle]=\"{'height': height + 'px'}\" [ngClass]=\"{'list--scrollable': scroll}\"> <div  class=\"list__header\" *ngIf=\"title\"> {{title}} </div> <ng-content select=\"[list-body]\" ></ng-content> </div>"
                },] },
    ];
    /** @nocollapse */
    ListComponent.ctorParameters = function () { return []; };
    ListComponent.propDecorators = {
        "title": [{ type: Input, args: ['title',] },],
        "height": [{ type: Input, args: ['height',] },],
        "scroll": [{ type: Input, args: ['scroll',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
    };
    return ListComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemComponent = /** @class */ (function () {
    function ListItemComponent() {
        this.onSelected = new EventEmitter();
        this.isChecked = false;
    }
    /**
     * select
     * @return {?}
     */
    ListItemComponent.prototype.select = /**
     * select
     * @return {?}
     */
    function () {
        this.onSelected.emit(this.index);
        this.isChecked = !this.isChecked;
    };
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    ListItemComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    ListItemComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-list-item',
                    template: "<div  class=\"list-item {{customClass}}\" [ngClass]=\"{'list-item--line': hasLine}\"> <div class=\"list-item__content\"> <h5  class=\"list-item__title\" *ngIf=\"title\">{{title}}</h5> <span  class=\"list-item__subtitle\"  *ngIf=\"subtitle\">{{subtitle}}</span> </div> <div class=\"list-item__side\"> <div class=\"list-item__actions\" *ngIf=\"actions\"> <button *ngFor=\"let action of actions\"  asIconButton class=\"card__action\" [prefix]=\"action.prefix\" [icon]=\"action.active ? action.iconActive : action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" [ngClass]=\"action?.customClass\" [disabled]=\"action.disabled\"  (click)=\"actionCallback(action)\"> {{action.label}} </button> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    ListItemComponent.ctorParameters = function () { return []; };
    ListItemComponent.propDecorators = {
        "index": [{ type: Input, args: ['index',] },],
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "hasLine": [{ type: Input, args: ['hasLine',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "onSelected": [{ type: Output },],
    };
    return ListItemComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemIconComponent = /** @class */ (function () {
    function ListItemIconComponent() {
    }
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    ListItemIconComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    ListItemIconComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-list-item-icon',
                    template: "<div  class=\"list-item list-item--icon  {{customClass}}\" [ngClass]=\"{'list-item--line': hasLine}\"> <div class=\"list-item__thumb\" *ngIf=\"icon\"> <i class=\"{{prefix}} {{prefix}}-{{icon}}\"></i> </div> <div class=\"list-item__content\"> <h5 class=\"list-item__title\" *ngIf=\"title\">{{title}}</h5> <span class=\"list-item__subtitle\" *ngIf=\"subtitle\">{{subtitle}}</span> </div> <div class=\"list-item__side\"> <span  class=\"list-item__least\"  *ngIf=\"least\"> {{least}} </span> <div  class=\"list-item__actions\" *ngIf=\"actions\"> <button *ngFor=\"let action of actions\"  asIconButton class=\"card__action\" [prefix]=\"action.prefix\" [icon]=\"action.active ? action.iconActive : action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" [ngClass]=\"action?.customClass\" [disabled]=\"action.disabled\"  (click)=\"actionCallback(action)\"> {{action.label}} </button> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    ListItemIconComponent.ctorParameters = function () { return []; };
    ListItemIconComponent.propDecorators = {
        "index": [{ type: Input, args: ['index',] },],
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "hasLine": [{ type: Input, args: ['hasLine',] },],
        "prefix": [{ type: Input, args: ['prefix',] },],
        "icon": [{ type: Input, args: ['icon',] },],
        "least": [{ type: Input, args: ['least',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
    };
    return ListItemIconComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemAvatarComponent = /** @class */ (function () {
    function ListItemAvatarComponent() {
        this.onSelected = new EventEmitter();
        this.onClicked = new EventEmitter();
        this.isChecked = false;
        this.hover = false;
    }
    /**
     * select
     * @return {?}
     */
    ListItemAvatarComponent.prototype.select = /**
     * select
     * @return {?}
     */
    function () {
        this.onSelected.emit(this.index);
        this.isChecked = !this.isChecked;
    };
    /**
     * click
     * @return {?}
     */
    ListItemAvatarComponent.prototype.click = /**
     * click
     * @return {?}
     */
    function () {
        this.onClicked.emit(this.index);
    };
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    ListItemAvatarComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    ListItemAvatarComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-list-item-avatar',
                    template: "<div  class=\"list-item list-item--avatar {{customClass}} \"  [ngClass]=\"{'list-item--line': hasLine}\" (click)=\"click()\" > <div class=\"list-item__thumb\" *ngIf=\"img\" (mouseover)='hover = true' (mouseleave)='hover = false'> <div class=\"list-item__img circle\" [ngStyle]=\"{'background-image': 'url(' + img + ')'}\" *ngIf=\"!hover && !isChecked && img\"></div> <div class=\"checkbox\" *ngIf=\"hover || isChecked\"> <label> <input type=\"checkbox\" [checked]=\"isChecked\" (click)=\"select()\"> </label> </div> </div> <div class=\"list-item__content\"> <h5  class=\"list-item__title\" *ngIf=\"title\">{{title}}</h5> <span  class=\"list-item__subtitle\" *ngIf=\"subtitle\">{{subtitle}}</span> </div> <div class=\"list-item__side\"> <span class=\"list-item__least\"  *ngIf=\"least\">{{least}}</span> <div class=\"list-item__actions\" *ngIf=\"actions\"> <button *ngFor=\"let action of actions\"  asIconButton class=\"card__action\" [prefix]=\"action.prefix\" [icon]=\"action.active ? action.iconActive : action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" [ngClass]=\"action?.customClass\" [disabled]=\"action.disabled\"  (click)=\"actionCallback(action)\"> {{action.label}} </button> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    ListItemAvatarComponent.ctorParameters = function () { return []; };
    ListItemAvatarComponent.propDecorators = {
        "index": [{ type: Input, args: ['index',] },],
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "hasLine": [{ type: Input, args: ['hasLine',] },],
        "img": [{ type: Input, args: ['img',] },],
        "least": [{ type: Input, args: ['least',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "onSelected": [{ type: Output },],
        "onClicked": [{ type: Output },],
    };
    return ListItemAvatarComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemCheckComponent = /** @class */ (function () {
    function ListItemCheckComponent() {
        this.onSelected = new EventEmitter();
        this.isChecked = false;
    }
    /**
     * select
     * @return {?}
     */
    ListItemCheckComponent.prototype.select = /**
     * select
     * @return {?}
     */
    function () {
        this.onSelected.emit(this.index);
        this.isChecked = !this.isChecked;
    };
    ListItemCheckComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-list-item-check',
                    template: "<div  class=\"list-item list-item--avatar {{customClass}} \" [ngClass]=\"{'list-item--line': hasLine}\"> <div class=\"list-item__thumb\"> <div class=\"checkbox\"> <label> <input  type=\"checkbox\"  [checked]=\"isChecked\"  (click)=\"select()\"> </label> </div> </div> <div class=\"list-item__content\"> <h5  class=\"list-item__title\" *ngIf=\"title\">{{title}}</h5> <span  class=\"list-item__subtitle\" *ngIf=\"subtitle\">{{subtitle}}</span> </div> <div class=\"list-item__side\"> <span class=\"list-item__least\" *ngIf=\"least\">{{least}}</span> <div class=\"list-item__actions\" *ngIf=\"actions\"> <button  asIconButton [prefix]=\"action.prefix\" [icon]=\"action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [circle]=\"action.circle\" [size]=\"action.size\" class=\" card__action\" [ngClass]=\"action?.customClass\"   *ngFor=\"let action of actions\"  [disabled]=\"action.disabled\"  (click)=\"action.callback()\"> {{action.label}}  </button> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    ListItemCheckComponent.ctorParameters = function () { return []; };
    ListItemCheckComponent.propDecorators = {
        "index": [{ type: Input, args: ['index',] },],
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "hasLine": [{ type: Input, args: ['hasLine',] },],
        "least": [{ type: Input, args: ['least',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "onSelected": [{ type: Output },],
    };
    return ListItemCheckComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemPropertyComponent = /** @class */ (function () {
    function ListItemPropertyComponent() {
    }
    ListItemPropertyComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-list-item-property',
                    template: "<div  class=\"list-item list-item--property {{customClass}}\"  [ngClass]=\"{'list-item--line': hasLine}\"> <div  class=\"list-item__key\" *ngIf=\"key\"> {{key}} </div> <div  class=\"list-item__value\" *ngIf=\"value\"> {{value}} </div> <div class=\"list-item__side\" *ngIf=\"least || actions\"> <span class=\"list-item__least\"  *ngIf=\"least\">{{least}}</span> <div  class=\"list-item__actions\" *ngIf=\"actions\"> <i class=\"{{action.prefix}} {{action.prefix}}-{{action.value ? action.iconActive : action.icon}}\" [ngStyle]=\"{'font-size': action.size + 'px'}\" (click)=\"action.callback(); action.value = ! action.value\" *ngFor=\"let action of actions\" ></i> </div> </div> </div>",
                },] },
    ];
    /** @nocollapse */
    ListItemPropertyComponent.ctorParameters = function () { return []; };
    ListItemPropertyComponent.propDecorators = {
        "index": [{ type: Input, args: ['index',] },],
        "key": [{ type: Input, args: ['key',] },],
        "value": [{ type: Input, args: ['value',] },],
        "hasLine": [{ type: Input, args: ['hasLine',] },],
        "least": [{ type: Input, args: ['least',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
    };
    return ListItemPropertyComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemFileQeueComponent = /** @class */ (function () {
    function ListItemFileQeueComponent() {
        this.onSelected = new EventEmitter();
        this.onClicked = new EventEmitter();
        this.isChecked = false;
    }
    /**
     * select
     * @return {?}
     */
    ListItemFileQeueComponent.prototype.select = /**
     * select
     * @return {?}
     */
    function () {
        this.onSelected.emit(this.index);
        this.isChecked = !this.isChecked;
    };
    /**
     * click
     * @return {?}
     */
    ListItemFileQeueComponent.prototype.click = /**
     * click
     * @return {?}
     */
    function () {
        this.onClicked.emit(this.index);
    };
    /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    ListItemFileQeueComponent.prototype.actionCallback = /**
     * actionCallback
     * @param {?} action
     * @return {?}
     */
    function (action) {
        action.active = !action.active;
        action.callback();
    };
    /**
     * checkFileType
     * @param {?} file
     * @return {?}
     */
    ListItemFileQeueComponent.prototype.checkFileType = /**
     * checkFileType
     * @param {?} file
     * @return {?}
     */
    function (file) {
        if (file) {
            var /** @type {?} */ type = file.type.split('/')[0];
            return type;
        }
    };
    /**
     * checkMimeType
     * @param {?} file
     * @return {?}
     */
    ListItemFileQeueComponent.prototype.checkMimeType = /**
     * checkMimeType
     * @param {?} file
     * @return {?}
     */
    function (file) {
        if (file) {
            var /** @type {?} */ mime = file.type.split('/')[1];
            return mime;
        }
    };
    ListItemFileQeueComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-list-item-fileqeue',
                    template: "<div  class=\"list-item list-item--avatar {{customClass}}\"  (click)=\"click()\"  [ngClass]=\"{'list-item--line': hasLine}\"> <div class=\"list-item__thumb\"> <div class=\"list-item__filepreview\"> <div class=\"list-item__filesuccess\" *ngIf=\"data.isSuccess\"> <i class=\"mdi mdi-check\"></i> </div> <div bgPreview  *ngIf=\"checkFileType(data.file) === 'image'\" [image]=\"data._file\" class=\"list-item__img circle\" ></div> <div  *ngIf=\"checkMimeType(data.file) === 'pdf'\" class=\"list-item__file circle\"> <i class=\"mdi mdi-file\"></i> </div> </div> </div> <div class=\"list-item__content\"> <h5  class=\"list-item__title\" *ngIf=\"data.file.name\">{{data.file?.name}}</h5> <span class=\"list-item__subtitle\">{{data.file?.size / 1000000 | number:'1.2-2'}} MB</span> </div> <div  class=\"list-item__side\" *ngIf=\"least || actions\"> <span class=\"list-item__least\" *ngIf=\"least\">{{least}}</span> <div  class=\"list-item__actions\" *ngIf=\"actions\"> <i class=\"{{action.prefix}} {{action.prefix}}-{{action.value ? action.iconActive : action.icon}}\" [ngStyle]=\"{'font-size': action.size + 'px'}\" (click)=\"action.callback(data); action.value = ! action.value\" *ngFor=\"let action of actions\" ></i> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    ListItemFileQeueComponent.ctorParameters = function () { return []; };
    ListItemFileQeueComponent.propDecorators = {
        "index": [{ type: Input, args: ['index',] },],
        "hasLine": [{ type: Input, args: ['hasLine',] },],
        "data": [{ type: Input, args: ['data',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "onSelected": [{ type: Output },],
        "onClicked": [{ type: Output },],
    };
    return ListItemFileQeueComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListsModule = /** @class */ (function () {
    function ListsModule() {
    }
    ListsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        ButtonsModule,
                        CommonModule,
                        PreviewModule
                    ],
                    exports: [
                        ListComponent,
                        ListItemComponent,
                        ListItemIconComponent,
                        ListItemAvatarComponent,
                        ListItemCheckComponent,
                        ListItemFileQeueComponent,
                        ListItemPropertyComponent
                    ],
                    declarations: [
                        ListComponent,
                        ListItemComponent,
                        ListItemIconComponent,
                        ListItemAvatarComponent,
                        ListItemCheckComponent,
                        ListItemFileQeueComponent,
                        ListItemPropertyComponent
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    ListsModule.ctorParameters = function () { return []; };
    return ListsModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var GridListComponent = /** @class */ (function () {
    function GridListComponent() {
    }
    GridListComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-grid-list',
                    template: "<div class=\"grid-list  {{customClass}} \"> <ng-content select=\"[gridlist-body]\" ></ng-content> </div>"
                },] },
    ];
    /** @nocollapse */
    GridListComponent.ctorParameters = function () { return []; };
    GridListComponent.propDecorators = {
        "title": [{ type: Input, args: ['title',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
    };
    return GridListComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var GridListItemComponent = /** @class */ (function () {
    function GridListItemComponent() {
        this.onSelected = new EventEmitter();
        this.isChecked = false;
        this.showFooter = false;
    }
    /**
     * select
     * @return {?}
     */
    GridListItemComponent.prototype.select = /**
     * select
     * @return {?}
     */
    function () {
        this.onSelected.emit(this.index);
        this.isChecked = !this.isChecked;
    };
    GridListItemComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-grid-list-item',
                    template: "<div class=\"grid-list-item {{customClass}} shadow-{{shadow}}\" (mouseover)=\"showFooter = true\" (mouseleave)=\"showFooter = false\"> <div class=\"grid-list-item__content\" [ngStyle]=\"{'background-image': 'url(' + img + ')'}\"> </div> <div  class=\"grid-list-item__footer\" [ngStyle]=\"!action && {'justify-content': 'center'}\"  *ngIf=\"showFooter || persistent\"> <span class=\"grid-list-item__title\">{{title}}</span> <div class=\"grid-list-item__action\" *ngIf=\"action\"> <i class=\"{{action.prefix}} {{action.prefix}}-{{action.value ? action.iconActive : action.icon}}\" [ngStyle]=\"{'font-size': action.size + 'px'}\" (click)=\"action.callback(); action.value = ! action.value\"></i> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    GridListItemComponent.ctorParameters = function () { return []; };
    GridListItemComponent.propDecorators = {
        "index": [{ type: Input, args: ['index',] },],
        "title": [{ type: Input, args: ['title',] },],
        "img": [{ type: Input, args: ['img',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "action": [{ type: Input, args: ['action',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "persistent": [{ type: Input, args: ['persistent',] },],
        "onSelected": [{ type: Output },],
    };
    return GridListItemComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var GridListsModule = /** @class */ (function () {
    function GridListsModule() {
    }
    GridListsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        GridListComponent,
                        GridListItemComponent,
                    ],
                    declarations: [
                        GridListComponent,
                        GridListItemComponent,
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    GridListsModule.ctorParameters = function () { return []; };
    return GridListsModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Validation = /** @class */ (function () {
    function Validation(type, value, msg) {
        this.type = type;
        this.value = value;
        this.msg = msg;
    }
    return Validation;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var InputBase = /** @class */ (function () {
    function InputBase(options) {
        if (options === void 0) { options = {}; }
        this.value = options.value;
        this.key = options.key || '';
        this.label = options.label || '';
        this.validations = options.validations;
        this.order = options.order === undefined ? 1 : options.order;
        this.controlType = options.controlType || '';
        this.customClass = options.customClass === undefined ? 'fcol-xs-12' : options.customClass;
    }
    return InputBase;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var InputControlService = /** @class */ (function () {
    function InputControlService() {
    }
    /**
     * @param {?} inputs
     * @return {?}
     */
    InputControlService.prototype.toFormGroup = /**
     * @param {?} inputs
     * @return {?}
     */
    function (inputs) {
        var /** @type {?} */ group = {};
        var /** @type {?} */ validations = [];
        inputs.forEach(function (input) {
            if (input.validations === undefined) {
                group[input.key] = new FormControl(input.value || '');
            }
            else {
                input.validations.forEach(function (validation) {
                    var /** @type {?} */ valFormat;
                    var /** @type {?} */ type = validation.type;
                    if (type === 'pattern') {
                        valFormat = Validators.pattern(validation.value);
                    }
                    else if (type === 'min') {
                        valFormat = Validators.min(validation.value);
                    }
                    else if (type === 'max') {
                        valFormat = Validators.max(validation.value);
                    }
                    else {
                        valFormat = Validators[type];
                    }
                    validations.push(valFormat);
                });
                group[input.key] = new FormControl(input.value || '', validations);
                validations = [];
            }
            /* group[input.key] = control ? new FormControl(input.value || '', Validators.required) : new FormControl(input.value || ''); */
        });
        return new FormGroup(group);
    };
    InputControlService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    InputControlService.ctorParameters = function () { return []; };
    return InputControlService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var DynamicFormComponent = /** @class */ (function () {
    function DynamicFormComponent(ics) {
        this.ics = ics;
        this.inputs = [];
        this.style = 'default';
        this.reset = false;
        this.actions = [];
        this.footer = {
            justify: 'flex-end',
            alignment: 'center'
        };
        this.onSubmit = new EventEmitter();
        this.payLoad = '';
        this.submitted = false;
    }
    /**
     * @return {?}
     */
    DynamicFormComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.form = this.ics.toFormGroup(this.inputs);
        this.form.valueChanges.subscribe(function (value) {
        });
    };
    /**
     * @return {?}
     */
    DynamicFormComponent.prototype.submit = /**
     * @return {?}
     */
    function () {
        this.submitted = true;
        if (this.form.valid) {
            this.onSubmit.emit(this.form.value);
            if (this.reset) {
                this.form.reset();
            }
            this.submitted = false;
        }
    };
    DynamicFormComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-dynamic-form',
                    template: "<div> <form class=\"frow\" (ngSubmit)=\"submit()\" [formGroup]=\"form\"> <div  class=\"form-group {{input.customClass}}\" *ngFor=\"let input of inputs\" [ngSwitch]=\"input.controlType\" > <as-df-input *ngSwitchCase=\" 'textbox'\" [input]=\"input\" [form]=\"form\" [submitted]=\"submitted\" [style]=\"style\"></as-df-input> <as-df-select *ngSwitchCase=\"'dropdown'\" [input]=\"input\" [form]=\"form\" [submitted]=\"submitted\" [style]=\"style\"></as-df-select> <as-df-checkbox *ngSwitchCase=\"'checkbox'\" [input]=\"input\" [form]=\"form\" [submitted]=\"submitted\" [style]=\"style\"></as-df-checkbox> <as-df-radio *ngSwitchCase=\"'radio'\" [input]=\"input\" [form]=\"form\" [submitted]=\"submitted\" [style]=\"style\"></as-df-radio> <as-df-textarea *ngSwitchCase=\" 'textareabox'\" [input]=\"input\" [form]=\"form\" [submitted]=\"submitted\" [style]=\"style\"></as-df-textarea> </div> <div class=\"form-group form-footer\" [ngStyle]=\"{'justify-content': footer?.justify}\"> <div *ngFor=\"let action of actions\"> <div  asButton *ngIf=\"!action.value\" [color]=\"action.color\" [rounded]=\"action.rounded\" [outline]=\"action.outline\" [ngClass]=\"action.customClass\" > {{action.label}} </div> <button asButton [color]=\"action.color\" [rounded]=\"action.rounded\" [outline]=\"action.outline\" [ngClass]=\"action.customClass\" *ngIf=\"action.value\" type=\"submit\" > {{action.label}} </button> </div> </div> </form> <!-- <div *ngIf=\"payLoad\" class=\"form-row\"> <strong>Saved the following values</strong><br>{{payLoad}} </div> --> </div> ",
                    styles: []
                },] },
    ];
    /** @nocollapse */
    DynamicFormComponent.ctorParameters = function () { return [
        { type: InputControlService, },
    ]; };
    DynamicFormComponent.propDecorators = {
        "inputs": [{ type: Input, args: ['inputs',] },],
        "style": [{ type: Input, args: ['style',] },],
        "reset": [{ type: Input, args: ['reset',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "footer": [{ type: Input, args: ['footer',] },],
        "onSubmit": [{ type: Output },],
    };
    return DynamicFormComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var DynamicFormInputComponent = /** @class */ (function () {
    function DynamicFormInputComponent() {
        this.submitted = false;
    }
    /**
     * ngOnInit
     * @return {?}
     */
    DynamicFormInputComponent.prototype.ngOnInit = /**
     * ngOnInit
     * @return {?}
     */
    function () {
        var _this = this;
        this.formControl = this.form.controls;
        this.key = this.input.key;
        this.validations = this.input.validations || [];
        this.errors = this.formControl[this.key].errors || null;
        this.formControl[this.key].valueChanges.subscribe(function (value) {
            // called when the value is updated
            // called when the value is updated
            _this.errors = _this.formControl[_this.key].errors || null;
        });
    };
    /**
     * @return {?}
     */
    DynamicFormInputComponent.prototype.isValid = /**
     * @return {?}
     */
    function () { return this.form.controls[this.input.key].valid; };
    /**
     * @return {?}
     */
    DynamicFormInputComponent.prototype.isPristine = /**
     * @return {?}
     */
    function () { return this.form.controls[this.input.key].pristine; };
    /**
     * @param {?} key
     * @return {?}
     */
    DynamicFormInputComponent.prototype.isValidInput = /**
     * @param {?} key
     * @return {?}
     */
    function (key) {
        return this.form.controls[key].valid && this.form.controls[key].pristine;
    };
    DynamicFormInputComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-df-input',
                    template: "<div  [formGroup]=\"form\"> <div  [ngSwitch]=\"input.controlType\"  [ngClass]=\"{ 'has-error': submitted && !isValid(), 'has-success': isValid() && !isPristine() && submitted }\"> <label class=\"float-label\" *ngIf=\"style != 'float'\" [attr.for]=\"input.key\">{{input.label}}</label> <span [ngClass]=\"{'has-float-label': style == 'float'}\"> <input class=\"form-control\" [placeholder]=\"' '\" *ngSwitchCase=\"'textbox'\" [formControlName]=\"input.key\" [id]=\"input.key\" [type]=\"input.type\"> <label class=\"float-label\" *ngIf=\"style == 'float'\" [attr.for]=\"input.key\">{{input.label}}</label> </span> <div class=\"help-block\"  *ngFor=\"let val of validations\"> <span *ngIf=\"errors && errors[val.type] && submitted\">{{val.msg}}</span> </div> </div> </div> ",
                    styles: []
                },] },
    ];
    /** @nocollapse */
    DynamicFormInputComponent.ctorParameters = function () { return []; };
    DynamicFormInputComponent.propDecorators = {
        "input": [{ type: Input },],
        "form": [{ type: Input },],
        "style": [{ type: Input },],
        "submitted": [{ type: Input },],
    };
    return DynamicFormInputComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var DynamicFormCheckboxComponent = /** @class */ (function () {
    function DynamicFormCheckboxComponent() {
        this.submitted = false;
    }
    /**
     * ngOnInit
     * @return {?}
     */
    DynamicFormCheckboxComponent.prototype.ngOnInit = /**
     * ngOnInit
     * @return {?}
     */
    function () {
        var _this = this;
        this.formControl = this.form.controls;
        this.key = this.input.key;
        this.validations = this.input.validations || [];
        this.errors = this.formControl[this.key].errors || null;
        this.formControl[this.key].valueChanges.subscribe(function (value) {
            // called when the value is updated
            // called when the value is updated
            _this.errors = _this.formControl[_this.key].errors || null;
        });
    };
    /**
     * @return {?}
     */
    DynamicFormCheckboxComponent.prototype.isValid = /**
     * @return {?}
     */
    function () { return this.form.controls[this.input.key].valid; };
    /**
     * @return {?}
     */
    DynamicFormCheckboxComponent.prototype.isPristine = /**
     * @return {?}
     */
    function () { return this.form.controls[this.input.key].pristine; };
    /**
     * @param {?} key
     * @return {?}
     */
    DynamicFormCheckboxComponent.prototype.isValidInput = /**
     * @param {?} key
     * @return {?}
     */
    function (key) {
        return this.form.controls[key].valid && this.form.controls[key].pristine;
    };
    DynamicFormCheckboxComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-df-checkbox',
                    template: "<div  [formGroup]=\"form\"> <div class=\"flex-group\" [ngClass]=\"{ 'has-error': submitted && !isValid(), 'has-success': isValid() && !isPristine() && submitted }\"> <!-- <label class=\"float-label\" *ngIf=\"style != 'float'\" [attr.for]=\"input.key\">{{input.label}}</label> --> <input class=\"form-control\" [placeholder]=\"' '\" [formControlName]=\"input.key\" (change)=\"input.value = $event.target.checked\"  [(ngModel)]=\"input.value\"  [attr.checked]=\"input.value ? true : null\"  [id]=\"input.key\" [type]=\"input.type\"> <label [attr.for]=\"input.key\">{{input.label}}</label> <div class=\"help-block\"  *ngFor=\"let val of validations\"> <span *ngIf=\"errors && errors[val.type] && submitted\">{{val.msg}}</span> </div> </div> </div> ",
                    styles: []
                },] },
    ];
    /** @nocollapse */
    DynamicFormCheckboxComponent.ctorParameters = function () { return []; };
    DynamicFormCheckboxComponent.propDecorators = {
        "input": [{ type: Input },],
        "form": [{ type: Input },],
        "style": [{ type: Input },],
        "submitted": [{ type: Input },],
    };
    return DynamicFormCheckboxComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var DynamicFormSelectComponent = /** @class */ (function () {
    function DynamicFormSelectComponent() {
        this.submitted = false;
    }
    /**
     * ngOnInit
     * @return {?}
     */
    DynamicFormSelectComponent.prototype.ngOnInit = /**
     * ngOnInit
     * @return {?}
     */
    function () {
        var _this = this;
        this.formControl = this.form.controls;
        this.key = this.input.key;
        this.validations = this.input.validations || [];
        this.errors = this.formControl[this.key].errors || null;
        this.formControl[this.key].valueChanges.subscribe(function (value) {
            // called when the value is updated
            // called when the value is updated
            _this.errors = _this.formControl[_this.key].errors || null;
        });
    };
    /**
     * @return {?}
     */
    DynamicFormSelectComponent.prototype.isValid = /**
     * @return {?}
     */
    function () { return this.form.controls[this.input.key].valid; };
    /**
     * @return {?}
     */
    DynamicFormSelectComponent.prototype.isPristine = /**
     * @return {?}
     */
    function () { return this.form.controls[this.input.key].pristine; };
    /**
     * @param {?} key
     * @return {?}
     */
    DynamicFormSelectComponent.prototype.isValidInput = /**
     * @param {?} key
     * @return {?}
     */
    function (key) {
        return this.form.controls[key].valid && this.form.controls[key].pristine;
    };
    DynamicFormSelectComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-df-select',
                    template: "<div  [formGroup]=\"form\"> <div  [ngSwitch]=\"input.controlType\"  [ngClass]=\"{ 'has-error': submitted && !isValid(), 'has-success': isValid() && !isPristine() && submitted }\"> <label class=\"float-label\" *ngIf=\"style != 'float'\" [attr.for]=\"input.key\">{{input.label}}</label> <span [ngClass]=\"{'has-float-label': style == 'float'}\"> <select class=\"form-control\" [id]=\"input.key\" *ngSwitchCase=\"'dropdown'\" [formControlName]=\"input.key\"> <option *ngFor=\"let opt of input.options\" [value]=\"opt.key\">{{opt.value}}</option> </select> <label class=\"float-label\" *ngIf=\"style == 'float'\" [attr.for]=\"input.key\">{{input.label}}</label> </span> <div class=\"help-block\"  *ngFor=\"let val of validations\"> <span *ngIf=\"errors && errors[val.type] && submitted\">{{val.msg}}</span> </div> </div> </div> ",
                    styles: []
                },] },
    ];
    /** @nocollapse */
    DynamicFormSelectComponent.ctorParameters = function () { return []; };
    DynamicFormSelectComponent.propDecorators = {
        "input": [{ type: Input },],
        "form": [{ type: Input },],
        "style": [{ type: Input },],
        "submitted": [{ type: Input },],
    };
    return DynamicFormSelectComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var DynamicFormRadioComponent = /** @class */ (function () {
    function DynamicFormRadioComponent() {
        this.submitted = false;
    }
    /**
     * ngOnInit
     * @return {?}
     */
    DynamicFormRadioComponent.prototype.ngOnInit = /**
     * ngOnInit
     * @return {?}
     */
    function () {
        var _this = this;
        this.formControl = this.form.controls;
        this.key = this.input.key;
        this.validations = this.input.validations || [];
        this.errors = this.formControl[this.key].errors || null;
        this.formControl[this.key].valueChanges.subscribe(function (value) {
            // called when the value is updated
            // called when the value is updated
            _this.errors = _this.formControl[_this.key].errors || null;
        });
    };
    /**
     * @return {?}
     */
    DynamicFormRadioComponent.prototype.isValid = /**
     * @return {?}
     */
    function () { return this.form.controls[this.input.key].valid; };
    /**
     * @return {?}
     */
    DynamicFormRadioComponent.prototype.isPristine = /**
     * @return {?}
     */
    function () { return this.form.controls[this.input.key].pristine; };
    /**
     * @param {?} key
     * @return {?}
     */
    DynamicFormRadioComponent.prototype.isValidInput = /**
     * @param {?} key
     * @return {?}
     */
    function (key) {
        return this.form.controls[key].valid && this.form.controls[key].pristine;
    };
    DynamicFormRadioComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-df-radio',
                    template: "<div  [formGroup]=\"form\"> <div class=\"flex-group radio-group\" [ngClass]=\"{ 'has-error': submitted && !isValid(), 'has-success': isValid() && !isPristine() && submitted }\"> <label class=\"float-label\" [attr.for]=\"input.key\">{{input.label}}</label> <br> <label  class=\"radio-inline\"  *ngFor=\"let opt of input.options\"> <input  class=\"form-control\" [formControlName]=\"input.key\"  [(ngModel)]=\"input.value\"  [name]=\"input.value\" (change)=\"input.value = opt.value\" [attr.checked]=\"input.value == opt.value ? true : null\"  [type]=\"input.type\"  [id]=\"input.key\" [value]=\"opt.value\"> <span>{{opt.value}}</span> </label> <div class=\"help-block\"  *ngFor=\"let val of validations\"> <span *ngIf=\"errors && errors[val.type] && submitted\">{{val.msg}}</span> </div> </div> </div> ",
                    styles: []
                },] },
    ];
    /** @nocollapse */
    DynamicFormRadioComponent.ctorParameters = function () { return []; };
    DynamicFormRadioComponent.propDecorators = {
        "input": [{ type: Input },],
        "form": [{ type: Input },],
        "style": [{ type: Input },],
        "submitted": [{ type: Input },],
    };
    return DynamicFormRadioComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var DynamicFormTextAreaComponent = /** @class */ (function () {
    function DynamicFormTextAreaComponent() {
        this.submitted = false;
    }
    /**
     * ngOnInit
     * @return {?}
     */
    DynamicFormTextAreaComponent.prototype.ngOnInit = /**
     * ngOnInit
     * @return {?}
     */
    function () {
        var _this = this;
        this.formControl = this.form.controls;
        this.key = this.input.key;
        this.validations = this.input.validations || [];
        this.errors = this.formControl[this.key].errors || null;
        this.formControl[this.key].valueChanges.subscribe(function (value) {
            // called when the value is updated
            // called when the value is updated
            _this.errors = _this.formControl[_this.key].errors || null;
        });
    };
    /**
     * @return {?}
     */
    DynamicFormTextAreaComponent.prototype.isValid = /**
     * @return {?}
     */
    function () { return this.form.controls[this.input.key].valid; };
    /**
     * @return {?}
     */
    DynamicFormTextAreaComponent.prototype.isPristine = /**
     * @return {?}
     */
    function () { return this.form.controls[this.input.key].pristine; };
    /**
     * @param {?} key
     * @return {?}
     */
    DynamicFormTextAreaComponent.prototype.isValidInput = /**
     * @param {?} key
     * @return {?}
     */
    function (key) {
        return this.form.controls[key].valid && this.form.controls[key].pristine;
    };
    DynamicFormTextAreaComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-df-textarea',
                    template: "<div  [formGroup]=\"form\"> <div  [ngSwitch]=\"input.controlType\"  [ngClass]=\"{ 'has-error': submitted && !isValid(), 'has-success': isValid() && !isPristine() && submitted }\"> <label class=\"float-label\" *ngIf=\"style != 'float'\" [attr.for]=\"input.key\">{{input.label}}</label> <span [ngClass]=\"{'has-float-label': style == 'float'}\"> <textarea class=\"form-control\" [placeholder]=\"' '\" *ngSwitchCase=\"'textareabox'\" [formControlName]=\"input.key\" [id]=\"input.key\"> </textarea> <label class=\"float-label\" *ngIf=\"style == 'float'\" [attr.for]=\"input.key\">{{input.label}}</label> </span> <div class=\"help-block\"  *ngFor=\"let val of validations\"> <span *ngIf=\"errors && errors[val.type] && submitted\">{{val.msg}}</span> </div> </div> </div> ",
                    styles: []
                },] },
    ];
    /** @nocollapse */
    DynamicFormTextAreaComponent.ctorParameters = function () { return []; };
    DynamicFormTextAreaComponent.propDecorators = {
        "input": [{ type: Input },],
        "form": [{ type: Input },],
        "style": [{ type: Input },],
        "submitted": [{ type: Input },],
    };
    return DynamicFormTextAreaComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var DynamicFormsModule = /** @class */ (function () {
    function DynamicFormsModule() {
    }
    DynamicFormsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        ButtonsModule
                    ],
                    exports: [
                        ReactiveFormsModule,
                        DynamicFormComponent,
                        DynamicFormInputComponent,
                        DynamicFormSelectComponent,
                        DynamicFormCheckboxComponent,
                        DynamicFormRadioComponent,
                        DynamicFormTextAreaComponent
                    ],
                    declarations: [
                        DynamicFormComponent,
                        DynamicFormInputComponent,
                        DynamicFormSelectComponent,
                        DynamicFormCheckboxComponent,
                        DynamicFormRadioComponent,
                        DynamicFormTextAreaComponent
                    ],
                    providers: [
                        InputControlService
                    ],
                },] },
    ];
    /** @nocollapse */
    DynamicFormsModule.ctorParameters = function () { return []; };
    return DynamicFormsModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ToolbarMenuService = /** @class */ (function () {
    function ToolbarMenuService() {
        this.openMenuSrc = new Subject$1();
        this.openMenu$ = this.openMenuSrc.asObservable();
    }
    /**
     * Init Service
     *
     * \@memberof NavService
     * @return {?}
     */
    ToolbarMenuService.prototype.init = /**
     * Init Service
     *
     * \@memberof NavService
     * @return {?}
     */
    function () {
        var /** @type {?} */ observable = new Observable$1();
        observable.subscribe(function (res) {
            // do something
        }, function (error) {
            // trow error
        });
    };
    /**
     * @param {?} open
     * @return {?}
     */
    ToolbarMenuService.prototype.openMenu = /**
     * @param {?} open
     * @return {?}
     */
    function (open) {
        this.openMenuSrc.next(open);
    };
    /**
     * @param {?} error
     * @return {?}
     */
    ToolbarMenuService.prototype.handleError = /**
     * @param {?} error
     * @return {?}
     */
    function (error) {
        console.error('An error occurred', error); // for demo purposes only
        return Promise.reject(error.message || error);
    };
    ToolbarMenuService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    ToolbarMenuService.ctorParameters = function () { return []; };
    return ToolbarMenuService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ActionDropdown = /** @class */ (function () {
    function ActionDropdown(label, dropdown, icon, iconActive, customClass, prefix) {
        if (label === void 0) { label = null; }
        if (dropdown === void 0) { dropdown = [
            new Action({
                label: 'Action 1'
            })
        ]; }
        if (icon === void 0) { icon = 'dots-vertical'; }
        if (iconActive === void 0) { iconActive = null; }
        if (customClass === void 0) { customClass = 'btn-link'; }
        if (prefix === void 0) { prefix = 'mdi'; }
        this.label = label;
        this.icon = icon;
        this.iconActive = iconActive;
        this.prefix = prefix;
        this.customClass = customClass;
        this.dropdown = dropdown;
    }
    return ActionDropdown;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ToolbarComponent = /** @class */ (function () {
    function ToolbarComponent(menu) {
        this.menu = menu;
        this.menuSide = 'left';
        this.collapsable = false;
    }
    /**
     * @return {?}
     */
    ToolbarComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.menu.openMenu$
            .subscribe(function (val) {
            _this.collapsable = val;
        });
    };
    /**
     * openCollapsable
     * @return {?}
     */
    ToolbarComponent.prototype.openCollapsable = /**
     * openCollapsable
     * @return {?}
     */
    function () {
        this.collapsable = !this.collapsable;
        this.menu.openMenu(this.collapsable);
    };
    /**
     * @param {?} action
     * @return {?}
     */
    ToolbarComponent.prototype.isActionDropdown = /**
     * @param {?} action
     * @return {?}
     */
    function (action) {
        return action instanceof ActionDropdown;
    };
    ToolbarComponent.decorators = [
        { type: Component, args: [{
                    encapsulation: ViewEncapsulation.None,
                    selector: 'as-toolbar',
                    template: "<nav #toolbar class=\"toolbar toolbar--flex toolbar--default shadow-{{shadow}} {{customClass}}\" [ngClass]=\"{'toolbar--fixed': fixed}\"> <div class=\"container-fluid\"> <div  class=\"toolbar__brand\"  > <img  class=\"toolbar__logo\"  (click)=\"brand.action && brand.action()\" *ngIf=\"brand  && leftContent.children.length == 0\" [fxHide.xs]=\"brand  && menuSide === 'left' && leftContent.children.length == 0\" [src]=\"brand?.logo\" alt=\"\"> <span  class=\"toolbar__logo\">{{brand?.name}}</span> <div class=\"material-burger left\" (click)=\"openCollapsable()\" *ngIf=\"brand !== undefined  && menuSide === 'left' && leftContent.children.length == 0\" [ngClass]=\"{'material-burger-transformed': collapsable}\" [fxHide.gt-xs]=\"brand !== undefined && leftContent.children.length == 0\"> <span></span> </div> </div> <div  class=\"nav toolbar__left\"  #leftContent  [ngStyle]=\"{'width': left + '%'}\" > <ng-content select=\".left-content\"> </ng-content> </div> <div  class=\"nav toolbar__center\"  #centerContent  [ngStyle]=\"{'width': center + '%'}\" > <ng-content select=\".center-content\"></ng-content> </div> <div  class=\"nav toolbar__right\" #rightContent [fxHide.xs]=\"true\" [ngStyle]=\"{'width': right + '%'}\" > <ng-content  select=\".right-content\"></ng-content> </div> <div  [ngClass]=\"{'toolbar__right': actions}\"> <div  class=\"toolbar__options\"> <div class=\"toolbar__option\"  [hidden]=\"option.dropdown != undefined\"   *ngFor=\"let option of actions\"> <button class=\"btn btn-link\"  (click)=\"option.callback()\"> <i class=\"{{option.prefix}} {{option.prefix}}-{{option.icon}}\"></i> </button> </div> <div class=\"toolbar__option\"  [hidden]=\"option.dropdown === undefined\"  dropdown  *ngFor=\"let option of actions\"> <button dropdownToggle class=\"btn btn-link dropdown-toggle\"> <i class=\"{{option.prefix}} {{option.prefix}}-{{option.icon}}\"></i> </button> <ul *dropdownMenu  class=\"dropdown-menu dropdown-menu-right\"  [hidden]=\"option.dropdown !== undefined\" role=\"menu\"> <li *ngFor=\"let choice of option.dropdown\"> <a class=\"dropdown-item\" (click)=\"choice.callback()\"><i class=\"{{option.prefix}} {{option.prefix}}-{{choice.icon}}\"></i>{{choice.label}}</a> </li> </ul> </div>  </div> </div> <div class=\"material-burger right\" (click)=\"openCollapsable()\" *ngIf=\"brand !== undefined && menuSide === 'right' && rightContent.children.length == 0\" [ngClass]=\"{'material-burger-transformed': collapsable}\" [fxHide.gt-xs]=\"brand !== undefined && rightContent.children.length == 0\"> <span></span> </div> </div> </nav>"
                },] },
    ];
    /** @nocollapse */
    ToolbarComponent.ctorParameters = function () { return [
        { type: ToolbarMenuService, },
    ]; };
    ToolbarComponent.propDecorators = {
        "brand": [{ type: Input, args: ['brand',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "back": [{ type: Input, args: ['back',] },],
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "fixed": [{ type: Input, args: ['fixed',] },],
        "menuSide": [{ type: Input, args: ['menuSide',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
    };
    return ToolbarComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var BackButtonComponent = /** @class */ (function () {
    function BackButtonComponent(location) {
        this.location = location;
        this.prefix = 'mdi';
        this.icon = 'chevron-left';
    }
    /**
     * @return {?}
     */
    BackButtonComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @return {?}
     */
    BackButtonComponent.prototype.goBack = /**
     * @return {?}
     */
    function () {
        this.location.back();
    };
    BackButtonComponent.decorators = [
        { type: Component, args: [{
                    encapsulation: ViewEncapsulation.None,
                    selector: 'as-back-button',
                    template: "<div  class=\"back-button\"  (click)=\"goBack()\"> <i *ngIf=\"icon\" class=\"back-button__icon {{prefix}} {{prefix}}-{{icon}}\"></i> <span *ngIf=\"icon\" class=\"back-button__text\"> {{label}} </span> </div>"
                },] },
    ];
    /** @nocollapse */
    BackButtonComponent.ctorParameters = function () { return [
        { type: Location, },
    ]; };
    BackButtonComponent.propDecorators = {
        "prefix": [{ type: Input, args: ['prefix',] },],
        "icon": [{ type: Input, args: ['icon',] },],
        "label": [{ type: Input, args: ['label',] },],
    };
    return BackButtonComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ToolbarModule = /** @class */ (function () {
    function ToolbarModule() {
    }
    ToolbarModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        BsDropdownModule,
                        CommonModule,
                        FlexLayoutModule
                    ],
                    exports: [
                        BackButtonComponent,
                        ToolbarComponent,
                    ],
                    declarations: [
                        BackButtonComponent,
                        ToolbarComponent,
                    ],
                    providers: [
                        ToolbarMenuService
                    ],
                },] },
    ];
    /** @nocollapse */
    ToolbarModule.ctorParameters = function () { return []; };
    return ToolbarModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var HeaderComponent = /** @class */ (function () {
    function HeaderComponent(location) {
        this.location = location;
        this.contentAlign = 'center';
    }
    /**
     * @return {?}
     */
    HeaderComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    HeaderComponent.decorators = [
        { type: Component, args: [{
                    encapsulation: ViewEncapsulation.None,
                    selector: 'as-header',
                    template: "<div  class=\"header {{customClass}}\" [ngClass]=\"{'header--parallax': parallax}\" [ngStyle]=\"{'background-image': bg && 'url(' + bg + ')', 'justify-content': contentAlign }\"> <div class=\"header__container\"> <div  *ngIf=\"(title || subtitle) && headerContent.children.length == 0\" class=\"header__body\"> <h4  class=\"header__title\" *ngIf=\"title\" >{{title}}</h4> <h6  class=\"header__subtitle\"  *ngIf=\"subtitle && headerContent.children.length == 0\">{{subtitle}}</h6> <p class=\"header__msg\"  *ngIf=\"msg\"> {{msg}} </p> </div> <div #headerContent> <ng-content selector=\".header__content\" ></ng-content> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    HeaderComponent.ctorParameters = function () { return [
        { type: Location, },
    ]; };
    HeaderComponent.propDecorators = {
        "bg": [{ type: Input, args: ['bg',] },],
        "title": [{ type: Input, args: ['title',] },],
        "subtitle": [{ type: Input, args: ['subtitle',] },],
        "msg": [{ type: Input, args: ['msg',] },],
        "height": [{ type: Input, args: ['height',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "contentAlign": [{ type: Input, args: ['contentAlign',] },],
        "parallax": [{ type: Input, args: ['parallax',] },],
    };
    return HeaderComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var HeaderModule = /** @class */ (function () {
    function HeaderModule() {
    }
    HeaderModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        FlexLayoutModule,
                        CommonModule,
                    ],
                    exports: [
                        HeaderComponent
                    ],
                    declarations: [
                        HeaderComponent
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    HeaderModule.ctorParameters = function () { return []; };
    return HeaderModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Nav = /** @class */ (function () {
    function Nav(options) {
        this._id = options._id;
        this.title = options.title;
        this.slugName = options.slugName;
        this.prefix = options.prefix;
        this.icon = options.icon;
        this.open = options.open;
        this.sub = options.sub;
        this.subitems = options.subitems;
        this.badge = options.badge;
        this.anchor = options.anchor;
        this.link = options.link;
    }
    return Nav;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var NavmenuComponent = /** @class */ (function () {
    function NavmenuComponent() {
        this.onSelect = new EventEmitter();
    }
    /**
     * @return {?}
     */
    NavmenuComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * openCollapsable
     * @return {?}
     */
    NavmenuComponent.prototype.openCollapsable = /**
     * openCollapsable
     * @return {?}
     */
    function () {
        this.collapsable = !this.collapsable;
    };
    /**
     * @param {?} nav
     * @return {?}
     */
    NavmenuComponent.prototype.selectNav = /**
     * @param {?} nav
     * @return {?}
     */
    function (nav) {
        this.onSelect.emit(nav);
        /* if (nav.anchor) {
                    this.open = false;
                } */
    };
    NavmenuComponent.decorators = [
        { type: Component, args: [{
                    encapsulation: ViewEncapsulation.None,
                    selector: 'as-navmenu',
                    template: "<!-- <div class=\"navmenu__navlist hidden-sm hidden-md hidden-lg\" *ngIf=\"navlist && collapsable\" > <div class=\"navmenu__navitem\" *ngFor=\"let nav of navlist\"> <a routerLink=\"/{{nav.slugName}}\" (click)=\"_toggleOpened()\" routerLinkActive=\"active\" title=\"{{nav.title}}\">{{nav.title}}</a> </div> </div> --> <div [hidden]=\"!open\" class=\"navmenu {{customClass}} shadow-{{shadow}}\" [ngClass]=\"{'navmenu--collapsable': collapsable}\"> <div  class=\"navmenu__item\" *ngFor=\"let nav of navs\"> <a *ngIf=\"!nav.link\" (click)=\"selectNav(nav)\" title=\"{{nav.title}}\">{{nav.title}}</a> <a  href=\"{{nav.link}}\" target=\"_blank\" *ngIf=\"nav.link\" title=\"{{nav.title}}\">{{nav.title}}</a> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    NavmenuComponent.ctorParameters = function () { return []; };
    NavmenuComponent.propDecorators = {
        "navs": [{ type: Input, args: ['navs',] },],
        "open": [{ type: Input, args: ['open',] },],
        "collapsable": [{ type: Input, args: ['collapsable',] },],
        "showIcons": [{ type: Input, args: ['showIcons',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "onSelect": [{ type: Output },],
    };
    return NavmenuComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var NavmenuModule = /** @class */ (function () {
    function NavmenuModule() {
    }
    NavmenuModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                    ],
                    exports: [
                        NavmenuComponent
                    ],
                    declarations: [
                        NavmenuComponent
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    NavmenuModule.ctorParameters = function () { return []; };
    return NavmenuModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Segment = /** @class */ (function () {
    function Segment(options) {
        this.label = options.label;
        this.value = options.value;
        this.prefix = options.prefix || 'mdi';
        this.icon = options.icon || null;
        this.active = options.active;
        this.disabled = options.disabled || false;
        this.removable = options.removable || false;
        this.customClass = options.customClass;
    }
    return Segment;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var SegmentComponent = /** @class */ (function () {
    function SegmentComponent() {
        this.selectedTabChange = new EventEmitter();
        this.align = 'center';
    }
    /**
     * @return {?}
     */
    SegmentComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.selectedTab.active = true;
    };
    /**
     * selectTab
     * @param {?} tab
     * @return {?}
     */
    SegmentComponent.prototype.selectTab = /**
     * selectTab
     * @param {?} tab
     * @return {?}
     */
    function (tab) {
        tab.active = true;
        this.selectedTab = tab;
        this.selectedTabChange.emit(tab);
    };
    SegmentComponent.decorators = [
        { type: Component, args: [{
                    encapsulation: ViewEncapsulation.None,
                    selector: 'as-segment',
                    template: "<div  class=\"segment {{customClass}} {{ align && 'segment--'+ align}} shadow-{{shadow}}\"> <tabset> <tab  class=\"segment\" *ngFor=\"let segment of segments\" [heading]=\"segment.label\" (select)=\"selectTab(segment)\" (deselect)=\"segment.active = false\"> </tab> <!-- <tab heading=\"Justified\">Justified content</tab> <tab heading=\"SJ\">Short Labeled Justified content</tab> <tab heading=\"Long Justified\">Long Labeled Justified content</tab> --> </tabset> </div>"
                },] },
    ];
    /** @nocollapse */
    SegmentComponent.ctorParameters = function () { return []; };
    SegmentComponent.propDecorators = {
        "segments": [{ type: Input, args: ['segments',] },],
        "selectedTab": [{ type: Input, args: ['selectedTab',] },],
        "selectedTabChange": [{ type: Output },],
        "align": [{ type: Input, args: ['align',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
    };
    return SegmentComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var SegmentModule = /** @class */ (function () {
    function SegmentModule() {
    }
    SegmentModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        TabsModule.forRoot(),
                        CommonModule,
                    ],
                    exports: [
                        SegmentComponent
                    ],
                    declarations: [
                        SegmentComponent
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    SegmentModule.ctorParameters = function () { return []; };
    return SegmentModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Chip = /** @class */ (function () {
    function Chip(options) {
        this.id = options.id;
        this.img = options.img;
        this.prefix = options.prefix || 'mdi';
        this.icon = options.icon;
        this.content = options.content;
        this.delete = options.delete;
        this.customClass = options.customClass;
        this.shadow = options.shadow;
    }
    return Chip;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ChipComponent = /** @class */ (function () {
    function ChipComponent() {
        this.prefix = 'mdi';
        this.onClicked = new EventEmitter();
        this.onDeleted = new EventEmitter();
    }
    /**
     * clickedChip
     *
     * \@memberof ChipComponent
     * @return {?}
     */
    ChipComponent.prototype.clickedChip = /**
     * clickedChip
     *
     * \@memberof ChipComponent
     * @return {?}
     */
    function () {
        this.onClicked.emit(true);
    };
    /**
     * deleteChip
     *
     * \@memberof ChipComponent
     * @return {?}
     */
    ChipComponent.prototype.deleteChip = /**
     * deleteChip
     *
     * \@memberof ChipComponent
     * @return {?}
     */
    function () {
        this.onDeleted.emit(true);
    };
    ChipComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-chip',
                    template: "<div class=\"chip {{customClass}} shadow-{{shadow}}\"  [ngClass]=\"{'chip--image': img, 'chip--icon': icon && !img }\"> <div class=\"chip--image__thumb circle\" [ngStyle]=\"{'background-image': img && 'url(' + img + ')'}\" *ngIf=\"img\" (click)=\"clickedChip()\"></div> <div class=\"chip--icon__thumb circle\" *ngIf=\"icon && !img\" (click)=\"clickedChip()\"> <i class=\"{{prefix}} {{prefix}}-{{icon}}\"></i>   </div> <span (click)=\"clickedChip()\">{{content}}</span> <i class=\"mdi mdi-close-circle\" *ngIf=\"delete\" (click)=\"deleteChip()\"></i> </div> "
                },] },
    ];
    /** @nocollapse */
    ChipComponent.ctorParameters = function () { return []; };
    ChipComponent.propDecorators = {
        "img": [{ type: Input, args: ['img',] },],
        "prefix": [{ type: Input, args: ['prefix',] },],
        "icon": [{ type: Input, args: ['icon',] },],
        "content": [{ type: Input, args: ['content',] },],
        "delete": [{ type: Input, args: ['delete',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "shadow": [{ type: Input, args: ['shadow',] },],
        "onClicked": [{ type: Output },],
        "onDeleted": [{ type: Output },],
    };
    return ChipComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ChipModule = /** @class */ (function () {
    function ChipModule() {
    }
    ChipModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        ChipComponent
                    ],
                    declarations: [
                        ChipComponent,
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    ChipModule.ctorParameters = function () { return []; };
    return ChipModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var BadgeComponent = /** @class */ (function () {
    function BadgeComponent() {
        this.style = {};
        this.prefix = 'mdi';
        this.size = 'md';
        this.badge = 'default';
        this.color = 'plain';
    }
    /**
     * @return {?}
     */
    BadgeComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var /** @type {?} */ h;
        var /** @type {?} */ w;
        if (this.position) {
            var /** @type {?} */ positions = this.position.split(' ');
            for (var _i = 0, positions_1 = positions; _i < positions_1.length; _i++) {
                var pos = positions_1[_i];
                if ((pos === 'top' || pos === 'bottom') && !h) {
                    h = pos;
                }
                else if ((pos === 'left' || pos === 'right') && !w) {
                    w = pos;
                }
                else if (w && h) {
                    break;
                }
            }
            this.style[h] = 0;
            this.style[w] = 0;
        }
        else {
            this.style = {
                top: 0,
                right: 0
            };
        }
    };
    /**
     * getPos
     * @return {?}
     */
    BadgeComponent.prototype.getPos = /**
     * getPos
     * @return {?}
     */
    function () {
        return this.style;
    };
    BadgeComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-badge',
                    template: "<button asButton [color]=\"color\" [outline]=\"outline\" [rounded]=\"rounded\" [size]=\"size\" class=\"asbadge\" [ngClass]=\"customClass\"> <div class=\"asbadge__icon {{prefix}} {{prefix}}-{{icon}}\"> <div *ngIf=\"count\"  class=\"asbadge__counter asbadge__counter--{{badge}}\" [ngStyle]=\"getPos()\"> {{count}} </div> <div *ngIf=\"badgeIcon && !count\"  class=\"asbadge__counter asbadge__counter--{{badge}}\" [ngStyle]=\"getPos()\"> <i class=\"{{prefix}} {{prefix}}-{{badgeIcon}}\"></i> </div> </div> </button>"
                },] },
    ];
    /** @nocollapse */
    BadgeComponent.ctorParameters = function () { return []; };
    BadgeComponent.propDecorators = {
        "icon": [{ type: Input, args: ['icon',] },],
        "prefix": [{ type: Input, args: ['prefix',] },],
        "size": [{ type: Input, args: ['size',] },],
        "badge": [{ type: Input, args: ['badge',] },],
        "badgeIcon": [{ type: Input, args: ['badgeIcon',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "count": [{ type: Input, args: ['count',] },],
        "position": [{ type: Input, args: ['position',] },],
        "color": [{ type: Input, args: ['color',] },],
        "outline": [{ type: Input, args: ['outline',] },],
        "rounded": [{ type: Input, args: ['rounded',] },],
    };
    return BadgeComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var BadgesModule = /** @class */ (function () {
    function BadgesModule() {
    }
    BadgesModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        ButtonsModule
                    ],
                    exports: [
                        BadgeComponent
                    ],
                    declarations: [
                        BadgeComponent,
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    BadgesModule.ctorParameters = function () { return []; };
    return BadgesModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ModalComponent = /** @class */ (function () {
    function ModalComponent() {
        this.size = 'sm';
        this.footer = {
            justify: 'flex-end',
            alignment: 'center'
        };
        this.onClosed = new EventEmitter();
        this.openChange = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ModalComponent.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.asModal.onHide
            .subscribe(function (res) {
            _this.openChange.emit(false);
            _this.onClosed.emit();
        });
    };
    /**
     * @param {?} changes
     * @return {?}
     */
    ModalComponent.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        if (changes.open !== undefined && changes.open.previousValue !== undefined) {
            if (changes.open.currentValue) {
                this.asModal.show();
            }
            else {
                this.asModal.hide();
            }
        }
    };
    ModalComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-modal',
                    template: "<div bsModal #asModal=\"bs-modal\" class=\"modal {{customClass}} fade\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"mySmallModalLabel\" aria-hidden=\"true\"> <div class=\"modal-dialog modal--{{size}}\"> <div class=\"modal__container\"> <div class=\"modal__header\" *ngIf=\"title || img\"> <button type=\"button\" class=\"close pull-right\" aria-label=\"Close\" (click)=\"asModal.hide()\"> <span aria-hidden=\"true\">&times;</span> </button> <div class=\"modal__img\" [ngStyle]=\"{'background-image': 'url(' + img + ')'}\" *ngIf=\"img\"> </div> <h4 class=\"modal__title\" *ngIf=\"title\">{{title}}</h4> </div> <div class=\"modal__body\"> <div #modalContent> <ng-content selector=\".modal__content\" ></ng-content> </div> <p class=\"modal__msg center\" *ngIf=\"modalContent.children.length == 0\"> {{msg}} </p>    </div> <div class=\"modal__footer\" *ngIf=\"actions\"> <div class=\"modal__actions\" [ngStyle]=\"{'justify-content': footer.justify, 'align-items': footer.alignment}\"> <button  asIconButton [prefix]=\"action.prefix\" [icon]=\"action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" class=\" modal__action\" [ngClass]=\"action?.customClass\"   *ngFor=\"let action of actions\"  [disabled]=\"action.disabled\"  (click)=\"action.callback()\"> {{action.label}}  </button> </div> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    ModalComponent.ctorParameters = function () { return []; };
    ModalComponent.propDecorators = {
        "asModal": [{ type: ViewChild, args: ['asModal',] },],
        "title": [{ type: Input, args: ['title',] },],
        "img": [{ type: Input, args: ['img',] },],
        "msg": [{ type: Input, args: ['msg',] },],
        "open": [{ type: Input, args: ['open',] },],
        "size": [{ type: Input, args: ['size',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "footer": [{ type: Input, args: ['footer',] },],
        "onClosed": [{ type: Output },],
        "openChange": [{ type: Output },],
    };
    return ModalComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var AsModalModule = /** @class */ (function () {
    function AsModalModule() {
    }
    AsModalModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        ModalModule,
                        ButtonsModule
                    ],
                    exports: [
                        ModalComponent
                    ],
                    declarations: [
                        ModalComponent
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    AsModalModule.ctorParameters = function () { return []; };
    return AsModalModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var SearchBarComponent = /** @class */ (function () {
    // tslint:disable-next-line:no-empty
    function SearchBarComponent() {
        var _this = this;
        this.prefix = 'mdi';
        this.icon = 'magnify';
        this.placeholder = 'Search';
        this.onSearch = new EventEmitter();
        this.debounceSearch = debounce(function (e) {
            _this.onSearch.emit(_this.search);
        }, 1000);
    }
    /**
     * @return {?}
     */
    SearchBarComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * onSearch
     * @param {?} e
     * @return {?}
     */
    SearchBarComponent.prototype.searchTerm = /**
     * onSearch
     * @param {?} e
     * @return {?}
     */
    function (e) {
        this.debounceSearch(e);
    };
    SearchBarComponent.decorators = [
        { type: Component, args: [{
                    encapsulation: ViewEncapsulation.None,
                    selector: 'as-search-bar',
                    template: " <form class=\"search-bar {{customClass}}\" #searchBar=\"ngForm\" novalidate> <div class=\"form-group\"> <i class=\"{{prefix}} {{prefix}}-{{icon}} search-bar__icon\"></i> <input type=\"text\"  class=\"form-control\"  placeholder=\"{{placeholder}}\"  id=\"search\"  name=\"search\" [(ngModel)]=\"search\"  (keydown)=\"searchTerm($event)\"> </div> </form>"
                },] },
    ];
    /** @nocollapse */
    SearchBarComponent.ctorParameters = function () { return []; };
    SearchBarComponent.propDecorators = {
        "prefix": [{ type: Input, args: ['prefix',] },],
        "icon": [{ type: Input, args: ['icon',] },],
        "placeholder": [{ type: Input, args: ['placeholder',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "onSearch": [{ type: Output },],
    };
    return SearchBarComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var SearchBarModule = /** @class */ (function () {
    function SearchBarModule() {
    }
    SearchBarModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        FormsModule,
                        CommonModule
                    ],
                    exports: [
                        SearchBarComponent
                    ],
                    declarations: [
                        SearchBarComponent,
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    SearchBarModule.ctorParameters = function () { return []; };
    return SearchBarModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var EmptyStateComponent = /** @class */ (function () {
    function EmptyStateComponent() {
        this.footer = {
            justify: 'flex-end',
            alignment: 'center'
        };
    }
    /**
     * @return {?}
     */
    EmptyStateComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    EmptyStateComponent.decorators = [
        { type: Component, args: [{
                    encapsulation: ViewEncapsulation.None,
                    selector: 'as-empty-state',
                    template: "<div class=\"empty-state\"> <div *ngIf=\"img\" class=\"empty-state__header\"> <div class=\"empty-state__img\" [ngStyle]=\"{'background-image': img && 'url(' + img + ')'}\"></div> </div> <div class=\"empty-state__body\"> <h3 class=\"empty-state__title\">{{title}}</h3> <p class=\"empty-state__msg\">{{msg}}</p> </div> <div class=\"empty-state__footer\" [hidden]=\"actions?.length === 0\"> <div class=\"empty-state__actions\" [ngStyle]=\"{'justify-content': footer.justify, 'align-items': footer.alignment}\"> <button  asIconButton [prefix]=\"action.prefix\" [icon]=\"action.icon\" [color]=\"action.color\" [outline]=\"action.outline\" [rounded]=\"action.rounded\" [size]=\"action.size\" class=\" empty-state__action\" [ngClass]=\"action?.customClass\"   *ngFor=\"let action of actions\"  [disabled]=\"action.disabled\"  (click)=\"action.callback()\"> {{action.label}}  </button> </div> </div> </div> "
                },] },
    ];
    /** @nocollapse */
    EmptyStateComponent.ctorParameters = function () { return []; };
    EmptyStateComponent.propDecorators = {
        "img": [{ type: Input, args: ['img',] },],
        "title": [{ type: Input, args: ['title',] },],
        "msg": [{ type: Input, args: ['msg',] },],
        "actions": [{ type: Input, args: ['actions',] },],
        "footer": [{ type: Input, args: ['footer',] },],
    };
    return EmptyStateComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var EmptyStateModule = /** @class */ (function () {
    function EmptyStateModule() {
    }
    EmptyStateModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        ButtonsModule
                    ],
                    exports: [
                        EmptyStateComponent
                    ],
                    declarations: [
                        EmptyStateComponent
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    EmptyStateModule.ctorParameters = function () { return []; };
    return EmptyStateModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var LoadingService = /** @class */ (function () {
    function LoadingService() {
        var _this = this;
        this.loadingChange = new Subject$1();
        this.loadingChange.subscribe(function (value) {
            _this.isLoading = value;
        });
    }
    /**
     * @return {?}
     */
    LoadingService.prototype.toggleLoading = /**
     * @return {?}
     */
    function () {
        this.loadingChange.next(!this.isLoading);
    };
    LoadingService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    LoadingService.ctorParameters = function () { return []; };
    return LoadingService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var LoadingComponent = /** @class */ (function () {
    function LoadingComponent() {
        this.loading = false;
        this.fixed = false;
        this.animation = 'donnut';
        this.backdrop = false;
        this.container = false;
    }
    /**
     * @return {?}
     */
    LoadingComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    LoadingComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-loading',
                    template: "<div *ngIf=\"loading\" [ngClass]=\"{'loading--fixed': fixed , 'loading-backdrop': backdrop}\"> <div [ngSwitch]=\"animation\" class=\"loading-container\" [ngStyle]=\"text && {'border-radius': '2px' }\" [ngClass]=\"{'loading-container--solid': container }\"> <div *ngSwitchDefault class=\"loading loading--{{animation}}\"></div> <div *ngSwitchCase=\"'dots'\" class=\"loading loading--{{animation}}\"> <span class=\"dot\"></span> </div> <div *ngSwitchCase=\"'ios'\" class=\"loading loading--{{animation}}\"> <span class=\"ios\"></span> </div> <div *ngSwitchCase=\"'dual-ring'\" class=\"loading loading--{{animation}}\"> <span class=\"dual-ring\"></span> </div> <div *ngSwitchCase=\"'double-dual-ring'\" class=\"loading loading--{{animation}}\"> <span class=\"first-ring\"></span> <span class=\"second-ring\"></span> </div> <div *ngSwitchCase=\"'ring-retard'\" class=\"loading loading--{{animation}}\"> <div></div><div></div><div></div><div></div> </div> <div class=\"loading-text\" *ngIf=\"text\">{{text}}</div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    LoadingComponent.ctorParameters = function () { return []; };
    LoadingComponent.propDecorators = {
        "loading": [{ type: Input, args: ['loading',] },],
        "fixed": [{ type: Input, args: ['fixed',] },],
        "animation": [{ type: Input, args: ['animation',] },],
        "text": [{ type: Input, args: ['text',] },],
        "backdrop": [{ type: Input, args: ['backdrop',] },],
        "container": [{ type: Input, args: ['container',] },],
    };
    return LoadingComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var LoadingModule = /** @class */ (function () {
    function LoadingModule() {
    }
    LoadingModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        LoadingComponent
                    ],
                    declarations: [
                        LoadingComponent
                    ],
                    providers: [
                        LoadingService
                    ],
                },] },
    ];
    /** @nocollapse */
    LoadingModule.ctorParameters = function () { return []; };
    return LoadingModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var MediaUploaderService = /** @class */ (function () {
    function MediaUploaderService() {
        //
    }
    /**
     * @param {?=} config
     * @return {?}
     */
    MediaUploaderService.prototype.config = /**
     * @param {?=} config
     * @return {?}
     */
    function (config) {
        if (config) {
            this.uploader = new FileUploader(config);
        }
        else {
            var /** @type {?} */ uploadApi = API_URL + "/medias";
            this.uploader = new FileUploader({
                url: uploadApi,
                itemAlias: 'body',
            });
        }
        return this.uploader;
    };
    /**
     * @return {?}
     */
    MediaUploaderService.prototype.getCurrentUploader = /**
     * @return {?}
     */
    function () {
        return this.uploader;
    };
    /**
     * @param {?} fileItem
     * @return {?}
     */
    MediaUploaderService.prototype.uploadMedia = /**
     * @param {?} fileItem
     * @return {?}
     */
    function (fileItem) {
        var /** @type {?} */ complete = new Observable$1(function (observer) {
            observer.next();
            fileItem.onComplete = function (response, status, headers) {
                observer.next({
                    url: JSON.parse(response).data.url,
                    id: JSON.parse(response).data.id
                });
            };
        });
        fileItem.upload();
        return complete;
    };
    /**
     * @return {?}
     */
    MediaUploaderService.prototype.uploadAll = /**
     * @return {?}
     */
    function () {
        var _this = this;
        var /** @type {?} */ complete = new Observable$1(function (observer) {
            // observer.next();
            // observer.next();
            _this.uploader.onCompleteAll = function () {
                observer.next({});
            };
            /* uploader.onCompleteAll.onComplete = (
                            response: string,
                            status: number,
                            headers: any) => {
                            observer.next({
                                url: JSON.parse(response).data.url,
                                id: JSON.parse(response).data.id
                            });
                        }; */
        });
        this.uploader.uploadAll();
        return complete;
    };
    /**
     * @return {?}
     */
    MediaUploaderService.prototype.clearQueue = /**
     * @return {?}
     */
    function () {
        this.uploader.clearQueue();
    };
    MediaUploaderService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    MediaUploaderService.ctorParameters = function () { return []; };
    return MediaUploaderService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var MediaUploaderComponent = /** @class */ (function () {
    function MediaUploaderComponent() {
        this.prefix = 'mdi';
        this.icon = 'image';
        this.multiple = false;
        this.uploaderChange = new EventEmitter();
        this.onQueue = new EventEmitter();
        this.hasBaseDropZoneOver = false;
    }
    /**
     * @return {?}
     */
    MediaUploaderComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        setTimeout(function () {
            console.log(' Init ', _this.uploader);
            /* if (this.uploader === undefined || this.uploader) {
                      /* this.uploader = new FileUploader(this.config);
                      this.uploader.onAfterAddingFile = (fileItem) => {
                        this.onQueue.emit(fileItem);
                        fileItem.withCredentials = false;
                      };
                      this.mediaUploaderService.uploader = this.uploader;
                    }
                    this.uploaderChange.emit(this.uploader); */
        });
    };
    /**
     * @return {?}
     */
    MediaUploaderComponent.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        /* this.uploader = new FileUploader({
                url: `${API_URL}/medias`,
                itemAlias: 'body'
              }); */
    };
    /**
     * @param {?} changes
     * @return {?}
     */
    MediaUploaderComponent.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        console.log(' Changes ', changes);
        /* console.log(changes)
              if (changes.deuploader.previousValue === undefined) {
                this.deuploaderChange.emit(this.uploader);
              } */
    };
    /**
     * @param {?} e
     * @return {?}
     */
    MediaUploaderComponent.prototype.fileOverBase = /**
     * @param {?} e
     * @return {?}
     */
    function (e) {
        this.hasBaseDropZoneOver = e;
    };
    /**
     * checkFileType
     * @param {?} file
     * @return {?}
     */
    MediaUploaderComponent.prototype.checkFileType = /**
     * checkFileType
     * @param {?} file
     * @return {?}
     */
    function (file) {
        if (file) {
            var /** @type {?} */ type = file.type.split('/')[0];
            return type;
        }
    };
    /**
     * checkMimeType
     * @param {?} file
     * @return {?}
     */
    MediaUploaderComponent.prototype.checkMimeType = /**
     * checkMimeType
     * @param {?} file
     * @return {?}
     */
    function (file) {
        if (file) {
            var /** @type {?} */ mime = file.type.split('/')[1];
            return mime;
        }
    };
    MediaUploaderComponent.decorators = [
        { type: Component, args: [{
                    selector: 'media-uploader',
                    template: "<div class=\"media-uploader__uploadimg {{customClass}}\"> <div ng2FileDrop multiple=\"multiple\" [ngClass]=\"{'nv-file-over': hasBaseDropZoneOver}\" (fileOver)=\"fileOverBase($event)\" [uploader]=\"uploader\" class=\"media-uploader__drop-zone\" *ngIf=\"!media && !uploader?.queue[0]?._file\" > <i *ngIf=\"icon\" class=\"{{prefix}} {{prefix}}-{{icon}}\"></i> <input type=\"file\"  ng2FileSelect multiple=\"multiple\"  [uploader]=\"uploader\" /> </div> <div class=\"media-uploader__imgpreview\" bgPreview  *ngIf=\"!media && checkFileType(uploader?.queue[0]?.file) === 'image' && uploader?.queue[0]?._file\" [image]=\"uploader?.queue[0]?._file\" > <span class=\"media-uploader__editbtn\"  (click)=\"uploader?.queue[0].remove()\"> <i class=\"mdi mdi-pencil\"></i> </span> </div> <div class=\"media-uploader__pdfpreview\" *ngIf=\"!media && checkMimeType(uploader?.queue[0]?.file) === 'pdf' && uploader?.queue[0]?._file\"> <i class=\"pdf-icon mdi mdi-file\"></i> <span>{{uploader?.queue[0]?.file.name}}</span> <span class=\"media-uploader__editbtn\"  (click)=\"media == undefined; uploader?.queue[0].remove()\"> <i class=\"mdi mdi-pencil\"></i> </span> </div> <!-- <div class=\"media-uploader__pdfpreview\" *ngIf=\"!media && uploader?.queue[0]?._file\"> <pdf-viewer pdfPreview [pdf]=\"uploader?.queue[0]?._file\" [page]=\"1\" [render-text]=\"true\" style=\"display: block;\" ></pdf-viewer> </div> --> <div class=\"media-uploader__imgpreview\"   *ngIf=\"media\" [ngStyle]=\"{'background-image': 'url(' + image + ')'}\" > <span class=\"media-uploader__editbtn\"  (click)=\"image = undefined\"> <i class=\"mdi mdi-pencil\"></i> </span> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    MediaUploaderComponent.ctorParameters = function () { return []; };
    MediaUploaderComponent.propDecorators = {
        "media": [{ type: Input, args: ['media',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "prefix": [{ type: Input, args: ['prefix',] },],
        "icon": [{ type: Input, args: ['icon',] },],
        "multiple": [{ type: Input, args: ['multiple',] },],
        "uploader": [{ type: Input, args: ['uploader',] },],
        "uploaderChange": [{ type: Output },],
        "onQueue": [{ type: Output },],
    };
    return MediaUploaderComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var MediaUploaderModule = /** @class */ (function () {
    function MediaUploaderModule() {
    }
    MediaUploaderModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        PreviewModule,
                        FileUploadModule
                    ],
                    exports: [
                        MediaUploaderComponent
                    ],
                    declarations: [
                        MediaUploaderComponent
                    ],
                    providers: [
                        MediaUploaderService
                    ],
                },] },
    ];
    /** @nocollapse */
    MediaUploaderModule.ctorParameters = function () { return []; };
    return MediaUploaderModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var DataTableComponent = /** @class */ (function () {
    function DataTableComponent(datePipe) {
        this.datePipe = datePipe;
        this.checkable = false;
        this.prefix = 'mdi';
        this.onSelected = new EventEmitter();
    }
    /**
     * @param {?} changes
     * @return {?}
     */
    DataTableComponent.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        var _this = this;
        var /** @type {?} */ data = changes["data"].currentValue;
        if (data) {
            this.headers.forEach(function (header) {
                if (header.pipe === 'date') {
                    data
                        .map(function (obj) {
                        obj[header.key] = _this.datePipe.transform(obj[header.key], header.format);
                    });
                }
            });
        }
    };
    /**
     * sortBy
     * @param {?} head
     * @return {?}
     */
    DataTableComponent.prototype.sortBy = /**
     * sortBy
     * @param {?} head
     * @return {?}
     */
    function (head) {
        if (head.sort === undefined) {
            this.headers
                .map(function (obj) {
                delete obj.sort;
            });
        }
        var /** @type {?} */ order = 1;
        var /** @type {?} */ key = head.key;
        head.sort = head.sort || true;
        head.order = !head.order;
        if (!head.order) {
            order = -1;
        }
        this.data.sort(function (a, b) {
            if (a[key] < b[key]) {
                return order;
            }
            else if (a[key] > b[key]) {
                return -order;
            }
            else {
                return 0;
            }
        });
    };
    /**
     * checkSignColor
     * @param {?} val
     * @return {?}
     */
    DataTableComponent.prototype.checkSignClass = /**
     * checkSignColor
     * @param {?} val
     * @return {?}
     */
    function (val) {
        if (val > 0) {
            return 'data-table__column--balanced';
        }
        else if (val === 0) {
            return 'data-table__column--secondary';
        }
        else {
            return 'data-table__column--assertive';
        }
    };
    /**
     * selectAll
     * @return {?}
     */
    DataTableComponent.prototype.selectAll = /**
     * selectAll
     * @return {?}
     */
    function () {
        this.data = this.data.map(function (res) {
            res.isChecked = !res.isChecked;
            return res;
        });
        this.onSelected.emit(this.data);
    };
    /**
     * selectRow
     * @param {?} row
     * @return {?}
     */
    DataTableComponent.prototype.selectRow = /**
     * selectRow
     * @param {?} row
     * @return {?}
     */
    function (row) {
        row.isChecked = !row.isChecked;
        this.onSelected.emit(row);
    };
    DataTableComponent.decorators = [
        { type: Component, args: [{
                    selector: 'as-data-table',
                    template: "<div class=\"data-table\" [ngStyle]=\"{'height': height + 'px'}\" [ngClass]=\"{'data-table--scrollable': scroll}\"> <div class=\"data-table__header\"> <div *ngIf=\"checkable\" class=\"data-table__headers data-table__headers--checkbox\"> <div class=\"checkbox\"> <label> <input type=\"checkbox\" [checked]=\"isChecked\" (click)=\"selectAll()\"> </label> </div> </div> <div fxShow [fxHide.lt-sm]=\"head.responsive\" class=\"data-table__headers\"  *ngFor=\"let head of headers\" [ngStyle]=\"{'flex-basis': head.basis + '%'}\" (click)=\"sortBy(head)\"> <i class=\"{{prefix}}\" *ngIf=\"head.sort\" [ngClass]=\"head.order ? prefix + '-arrow-down': prefix + '-arrow-up'\"></i> {{head.alias}} <span class=\"data-table__unit\" *ngIf=\"head.unit\"> ({{head.unit}})</span> </div> </div> <div class=\"data-table__body\"> <div class=\"data-table__row\" *ngFor=\"let row of data\"> <div  *ngIf=\"checkable\" class=\"data-table__column data-table__column--checkbox\"> <div class=\"checkbox\"> <label> <input type=\"checkbox\" [checked]=\"row.isChecked\" (click)=\"selectRow(row)\"> </label> </div> </div> <div fxShow [fxHide.lt-sm]=\"head.responsive\" class=\"data-table__column {{head.customClass}}\" [ngStyle]=\"{'flex-basis': head.basis + '%'}\" [ngClass]=\"head.signColored && checkSignClass(row[head.key])\" *ngFor=\"let head of headers\"> <span *ngIf=\"head.type !== 'img'\">{{row[head.key] !== null ? row[head.key] : '-   '}}</span> <div class=\"data-table__img circle\" [ngStyle]=\"{'background-image': 'url(' + row[head.key] + ')'}\" *ngIf=\"head.type == 'img'\"></div> </div> </div> </div> </div>"
                },] },
    ];
    /** @nocollapse */
    DataTableComponent.ctorParameters = function () { return [
        { type: DatePipe, },
    ]; };
    DataTableComponent.propDecorators = {
        "headers": [{ type: Input, args: ['headers',] },],
        "data": [{ type: Input, args: ['data',] },],
        "checkable": [{ type: Input, args: ['checkable',] },],
        "prefix": [{ type: Input, args: ['prefix',] },],
        "height": [{ type: Input, args: ['height',] },],
        "scroll": [{ type: Input, args: ['scroll',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "onSelected": [{ type: Output },],
    };
    return DataTableComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var DataTableModule = /** @class */ (function () {
    function DataTableModule() {
    }
    DataTableModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FlexLayoutModule
                    ],
                    declarations: [
                        DataTableComponent
                    ],
                    providers: [
                        DatePipe
                    ],
                    exports: [
                        DataTableComponent
                    ]
                },] },
    ];
    /** @nocollapse */
    DataTableModule.ctorParameters = function () { return []; };
    return DataTableModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ProfileDropdownComponent = /** @class */ (function () {
    function ProfileDropdownComponent() {
        this.orientation = 'horizontal';
        this.prefix = 'mdi';
        this.caret = 'chevron-down';
        this.bubble = false;
    }
    /**
     * @return {?}
     */
    ProfileDropdownComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    ProfileDropdownComponent.decorators = [
        { type: Component, args: [{
                    encapsulation: ViewEncapsulation.None,
                    selector: 'as-profile-dropdown',
                    template: "<div class=\"profile-dropdown\" dropdown> <div dropdownToggle  class=\"profile-dropdown__btn profile-dropdown--{{orientation}}\"> <div *ngIf=\"img\" class=\"profile-dropdown__img\" [ngStyle]=\"{'background-image': img && 'url(' + img + ')'}\"></div> <span class=\"profile-dropdown__title\">{{title}} <i class=\"{{prefix}} {{prefix}}-{{caret}}\"></i> </span> </div> <ul [ngClass]=\"{'dropdown-menu--bubble-top': bubble}\" *dropdownMenu class=\"dropdown-menu\" role=\"menu\"> <li #dropdownHeader> <ng-content selector=\".dropdown-menu__header\"></ng-content> </li> <li *ngFor=\"let action of dropdown\" role=\"menuitem\"> <a *ngIf=\"action.link\" class=\"dropdown-item\" href=\"{{action.link}}\" target=\"_blank\"> <i *ngIf=\"action.icon\" class=\"{{action.prefix}} {{action.prefix}}-{{action.icon}}\"></i> {{action.label}} </a> <a *ngIf=\"!action.link\" (click)=\"action.callback()\" class=\"dropdown-item\"> <i *ngIf=\"action.icon\" class=\"{{action.prefix}} {{action.prefix}}-{{action.icon}}\"></i> {{action.label}} </a> </li> <li *ngIf=\"lastAction\" class=\"divider dropdown-divider\"></li> <li *ngIf=\"lastAction\" role=\"menuitem\"> <a *ngIf=\"lastAction.link\" class=\"dropdown-item\" href=\"{{lastAction.link}}\" target=\"_blank\"> <i *ngIf=\"lastAction.icon\" class=\"{{lastAction.prefix}} {{lastAction.prefix}}-{{lastAction.icon}}\"></i> {{lastAction.label}} </a> <a *ngIf=\"!lastAction.link\" (click)=\"lastAction.callback()\" class=\"dropdown-item\"> <i *ngIf=\"lastAction.icon\" class=\"{{lastAction.prefix}} {{lastAction.prefix}}-{{lastAction.icon}}\"></i> {{lastAction.label}} </a> </li> <!-- <li role=\"menuitem\"><a class=\"dropdown-item\" href=\"#\">Another action</a></li> <li role=\"menuitem\"><a class=\"dropdown-item\" href=\"#\">Something else here</a></li> <li class=\"divider dropdown-divider\"></li> <li role=\"menuitem\"><a class=\"dropdown-item\" href=\"#\">Separated link</a> </li> --> </ul> </div>"
                },] },
    ];
    /** @nocollapse */
    ProfileDropdownComponent.ctorParameters = function () { return []; };
    ProfileDropdownComponent.propDecorators = {
        "title": [{ type: Input, args: ['title',] },],
        "img": [{ type: Input, args: ['img',] },],
        "defaultImg": [{ type: Input, args: ['defaultImg',] },],
        "orientation": [{ type: Input, args: ['orientation',] },],
        "dropdown": [{ type: Input, args: ['dropdown',] },],
        "lastAction": [{ type: Input, args: ['lastAction',] },],
        "prefix": [{ type: Input, args: ['prefix',] },],
        "caret": [{ type: Input, args: ['caret',] },],
        "bubble": [{ type: Input, args: ['bubble',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
    };
    return ProfileDropdownComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ProfileDropdownModule = /** @class */ (function () {
    function ProfileDropdownModule() {
    }
    ProfileDropdownModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        BsDropdownModule
                    ],
                    exports: [
                        ProfileDropdownComponent
                    ],
                    declarations: [
                        ProfileDropdownComponent
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    ProfileDropdownModule.ctorParameters = function () { return []; };
    return ProfileDropdownModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ContentPlaceholderDirective = /** @class */ (function () {
    function ContentPlaceholderDirective(renderer, hostElement) {
        this.renderer = renderer;
        this.hostElement = hostElement;
        this.cardContentPlaceholderEl = "<div class=\"card content-placeholder shadow-1\">\n        <div class=\"content-placeholder__header\">\n            <div class=\"content-placeholder__avatar animated-background\">\n            </div>\n            <div class=\"content-placeholder__titles\">\n                <div class=\"content-placeholder__title animated-background\"></div>\n                <div class=\"content-placeholder__subtitle animated-background\"></div>\n            </div>\n        </div>\n        <div class=\"content-placeholder__body\">\n            <div class=\"content-placeholder__paragraph animated-background\"\n            *ngFor=\"let line of [10,6,7,4,5]\" [ngStyle]=\"{ 'width.%' : line * 10}\">\n            </div>\n        </div>\n        <div class=\"content-placeholder__footer\">\n            <div class=\"content-placeholder__action animated-background\"></div>\n            <div class=\"content-placeholder__action animated-background\"></div>\n        </div>\n    </div>";
        this.cardDataContentPlaceholderEl = "<div class=\"card content-placeholder content-placeholder--data shadow-1\">\n    <div class=\"content-placeholder__thumb\" >\n       <div class=\"content-placeholder--data__img circle animated-background\"></div>\n    </div>\n    <div class=\"content-placeholder__content\">\n        <div class=\"content-placeholder--data__title animated-background\"></div>\n        <span class=\"content-placeholder--data__subtitle animated-background\"></span>\n    </div>\n    <div class=\"content-placeholder--data__actions\" >\n    </div>\n    </div>";
        this.cardImageContentPlaceholderEl = "<div class=\"card content-placeholder content-placeholder--image shadow-1\">\n        <div class=\"content-placeholder__header\">\n            <div class=\"content-placeholder--image__img animated-background\">\n            </div>\n            <div class=\"content-placeholder--image__titles\">\n                <div class=\"content-placeholder__title animated-background\"></div>\n                <div class=\"content-placeholder__subtitle animated-background\"></div>\n            </div>\n        </div>\n        <div class=\"content-placeholder__body\">\n            <div class=\"content-placeholder__paragraph animated-background\"\n            *ngFor=\"let line of [10,6,7,4,5]\" [ngStyle]=\"{ 'width.%' : line * 10}\">\n            </div>\n        </div>\n        <div class=\"content-placeholder__footer\">\n            <div class=\"content-placeholder__action animated-background\"></div>\n            <div class=\"content-placeholder__action animated-background\"></div>\n        </div>\n    </div>";
        this.cardIllustrationContentPlaceholderEl = "<div class=\"card content-placeholder content-placeholder--illustration shadow-1\">\n        <div class=\"content-placeholder__header\">\n            <div class=\"content-placeholder--illustration__img animated-background\">\n            </div>\n            <div class=\"content-placeholder--illustration__titles\">\n                <div class=\"content-placeholder__title animated-background\"></div>\n                <div class=\"content-placeholder__subtitle animated-background\"></div>\n            </div>\n        </div>\n        <div class=\"content-placeholder__body\">\n            <div class=\"content-placeholder__paragraph animated-background\"\n            *ngFor=\"let line of [10,6,7,4,5]\" [ngStyle]=\"{ 'width.%' : line * 10}\">\n            </div>\n        </div>\n        <div class=\"content-placeholder__footer\">\n            <div class=\"content-placeholder__action animated-background\"></div>\n            <div class=\"content-placeholder__action animated-background\"></div>\n        </div>\n    </div>";
        this.nativeElement = hostElement.nativeElement;
    }
    /**
     * @return {?}
     */
    ContentPlaceholderDirective.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        if (this.checkInput(this.contentPlaceholder)) {
            this.appendContentPlaceholder();
        }
    };
    /**
     * @param {?} changes
     * @return {?}
     */
    ContentPlaceholderDirective.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        for (var /** @type {?} */ key in changes) {
            if (changes.hasOwnProperty(key) && !changes[key].firstChange) {
                this[key] = changes[key].currentValue;
                if (key === 'contentPlaceholder') {
                    changes['contentPlaceholder'].currentValue ?
                        this.appendContentPlaceholder() : this.removeContentPlaceholder();
                }
            }
        }
    };
    /**
     * @param {?} input
     * @return {?}
     */
    ContentPlaceholderDirective.prototype.checkInput = /**
     * @param {?} input
     * @return {?}
     */
    function (input) {
        return (input === true || input === '');
    };
    /**
     * @return {?}
     */
    ContentPlaceholderDirective.prototype.appendContentPlaceholder = /**
     * @return {?}
     */
    function () {
        var /** @type {?} */ template = "";
        switch (this.nativeElement.localName) {
            case 'as-card':
                template = this.cardContentPlaceholderEl;
                break;
            case 'as-card-data':
                template = this.cardDataContentPlaceholderEl;
                break;
            case 'as-card-image':
                template = this.cardImageContentPlaceholderEl;
                break;
            case 'as-card-illustration':
                template = this.cardIllustrationContentPlaceholderEl;
                break;
            default:
                template = this.cardContentPlaceholderEl;
                break;
        }
        this.nativeElement.childNodes[0].style.display = 'none';
        /* let child = this.renderer.createElement(this.cardContentPlaceholderEl); */
        this.nativeElement.insertAdjacentHTML('beforeend', template);
        this.renderer.addClass(this.nativeElement, "content-placeholder");
    };
    /**
     * @return {?}
     */
    ContentPlaceholderDirective.prototype.removeContentPlaceholder = /**
     * @return {?}
     */
    function () {
        this.nativeElement.childNodes[0].style.display = 'flex';
        this.renderer.removeChild(this.nativeElement, this.nativeElement.childNodes[1]);
        this.renderer.removeClass(this.nativeElement, "content-placeholder");
    };
    /**
     * @param {?} current
     * @param {?=} prev
     * @return {?}
     */
    ContentPlaceholderDirective.prototype.addClass = /**
     * @param {?} current
     * @param {?=} prev
     * @return {?}
     */
    function (current, prev) {
        if (prev === void 0) { prev = null; }
        if (prev) {
            this.renderer.removeClass(this.nativeElement, prev);
        }
        if (this.nativeElement.classList.contains(current)) {
            this.renderer.removeClass(this.nativeElement, current);
        }
        else {
            this.renderer.addClass(this.nativeElement, current);
        }
    };
    ContentPlaceholderDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[contentPlaceholder]',
                },] },
    ];
    /** @nocollapse */
    ContentPlaceholderDirective.ctorParameters = function () { return [
        { type: Renderer2, },
        { type: ElementRef, },
    ]; };
    ContentPlaceholderDirective.propDecorators = {
        "contentPlaceholder": [{ type: Input, args: ['contentPlaceholder',] },],
    };
    return ContentPlaceholderDirective;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ContentPlaceholderModule = /** @class */ (function () {
    function ContentPlaceholderModule() {
    }
    ContentPlaceholderModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                    ],
                    exports: [
                        ContentPlaceholderDirective
                    ],
                    declarations: [
                        ContentPlaceholderDirective
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    ContentPlaceholderModule.ctorParameters = function () { return []; };
    return ContentPlaceholderModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var FileButtonComponent = /** @class */ (function () {
    function FileButtonComponent() {
        this.prefix = 'mdi';
        this.icon = 'paperclip';
        this.color = 'primary';
        this.outline = false;
        this.rounded = false;
        this.block = false;
        this.multiple = false;
        this.uploaderChange = new EventEmitter();
        this.onQueue = new EventEmitter();
    }
    /**
     * @return {?}
     */
    FileButtonComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        setTimeout(function () {
            console.log(' Init ', _this.uploader);
            /* if (this.uploader === undefined || this.uploader) {
                      /* this.uploader = new FileUploader(this.config);
                      this.uploader.onAfterAddingFile = (fileItem) => {
                        this.onQueue.emit(fileItem);
                        fileItem.withCredentials = false;
                      };
                      this.mediaUploaderService.uploader = this.uploader;
                    }
                    this.uploaderChange.emit(this.uploader); */
        });
    };
    /**
     * @return {?}
     */
    FileButtonComponent.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        /* this.uploader = new FileUploader({
                url: `${API_URL}/medias`,
                itemAlias: 'body'
              }); */
    };
    /**
     * @param {?} changes
     * @return {?}
     */
    FileButtonComponent.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        console.log(' Changes ', changes);
        /* console.log(changes)
              if (changes.deuploader.previousValue === undefined) {
                this.deuploaderChange.emit(this.uploader);
              } */
    };
    /**
     * removeAll
     * @param {?} queue
     * @return {?}
     */
    FileButtonComponent.prototype.removeAll = /**
     * removeAll
     * @param {?} queue
     * @return {?}
     */
    function (queue) {
        queue.forEach(function (file) {
            file.remove();
        });
    };
    /**
     * checkFileType
     * @param {?} file
     * @return {?}
     */
    FileButtonComponent.prototype.checkFileType = /**
     * checkFileType
     * @param {?} file
     * @return {?}
     */
    function (file) {
        if (file) {
            var /** @type {?} */ type = file.type.split('/')[0];
            return type;
        }
    };
    /**
     * checkMimeType
     * @param {?} file
     * @return {?}
     */
    FileButtonComponent.prototype.checkMimeType = /**
     * checkMimeType
     * @param {?} file
     * @return {?}
     */
    function (file) {
        if (file) {
            var /** @type {?} */ mime = file.type.split('/')[1];
            return mime;
        }
    };
    FileButtonComponent.decorators = [
        { type: Component, args: [{
                    selector: 'file-button',
                    template: "<div class=\"file-button {{customClass}}\" (click)=\"uploader.clearQueue()\"> <label for=\"file\" asIconButton [color]=\"color\" [rounded]=\"rounded\" [outline]=\"outline\" [size]=\"size\" [icon]=\"icon\" side=\"right\" class=\"btn-attachment\"> <input type=\"file\" [multiple]=\"multiple\"  ng2FileSelect [uploader]=\"uploader\" /> </label> </div>"
                },] },
    ];
    /** @nocollapse */
    FileButtonComponent.ctorParameters = function () { return []; };
    FileButtonComponent.propDecorators = {
        "media": [{ type: Input, args: ['media',] },],
        "customClass": [{ type: Input, args: ['customClass',] },],
        "prefix": [{ type: Input, args: ['prefix',] },],
        "icon": [{ type: Input, args: ['icon',] },],
        "color": [{ type: Input, args: ['color',] },],
        "size": [{ type: Input, args: ['size',] },],
        "outline": [{ type: Input, args: ['outline',] },],
        "rounded": [{ type: Input, args: ['rounded',] },],
        "block": [{ type: Input, args: ['block',] },],
        "multiple": [{ type: Input, args: ['multiple',] },],
        "uploader": [{ type: Input, args: ['uploader',] },],
        "uploaderChange": [{ type: Output },],
        "onQueue": [{ type: Output },],
    };
    return FileButtonComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var FileButtonModule = /** @class */ (function () {
    function FileButtonModule() {
    }
    FileButtonModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FileUploadModule,
                        ButtonsModule
                    ],
                    exports: [
                        FileButtonComponent
                    ],
                    declarations: [
                        FileButtonComponent
                    ],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    FileButtonModule.ctorParameters = function () { return []; };
    return FileButtonModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardBase = /** @class */ (function () {
    function CardBase(options) {
        this.title = options.title;
        this.subtitle = options.subtitle;
        this.msg = options.msg;
        this.actions = options.actions;
        this.optionsLeft = options.optionsLeft;
        this.optionsRight = options.optionsRight;
        this.customClass = options.customClass;
        this.shadow = options.shadow;
        this.footer = options.footer;
    }
    return CardBase;
}());

var __extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Card = /** @class */ (function (_super) {
    __extends(Card, _super);
    function Card(options) {
        if (options === void 0) { options = {}; }
        return _super.call(this, options) || this;
    }
    return Card;
}(CardBase));

var __extends$1 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardImage = /** @class */ (function (_super) {
    __extends$1(CardImage, _super);
    function CardImage(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.img = options['img'] || null;
        _this.fab = options['fab'] || null;
        return _this;
    }
    return CardImage;
}(CardBase));

var __extends$2 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardBg = /** @class */ (function (_super) {
    __extends$2(CardBg, _super);
    function CardBg(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.bg = options['bg'] || null;
        _this.fab = options['fab'] || null;
        return _this;
    }
    return CardBg;
}(CardBase));

var __extends$3 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardData = /** @class */ (function (_super) {
    __extends$3(CardData, _super);
    function CardData(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.img = options['img'] || null;
        _this.prefix = options['prefix'] || 'mdi';
        _this.icon = options['icon'] || null;
        return _this;
    }
    return CardData;
}(CardBase));

var __extends$4 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardIllustration = /** @class */ (function (_super) {
    __extends$4(CardIllustration, _super);
    function CardIllustration(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.img = options['img'] || null;
        _this.fab = options['fab'] || null;
        return _this;
    }
    return CardIllustration;
}(CardBase));

var __extends$5 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardProfile = /** @class */ (function (_super) {
    __extends$5(CardProfile, _super);
    function CardProfile(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.bg = options['bg'] || null;
        _this.avatar = options['avatar'] || null;
        _this.fab = options['fab'] || null;
        _this.stats = options['stats'] || null;
        return _this;
    }
    return CardProfile;
}(CardBase));

var __extends$6 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardNumber = /** @class */ (function (_super) {
    __extends$6(CardNumber, _super);
    function CardNumber(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.value = options['value'] || null;
        _this.pipe = options['pipe'] || null;
        _this.countTo = options['countTo'] || null;
        _this.label = options['label'] || null;
        _this.size = options['size'] || 'md';
        return _this;
    }
    return CardNumber;
}(CardBase));

var __extends$7 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CardToggle = /** @class */ (function (_super) {
    __extends$7(CardToggle, _super);
    function CardToggle(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.toggle = options['toggle'] || null;
        _this.img = options['img'] || null;
        _this.prefix = options['prefix'] || 'mdi';
        _this.icon = options['icon'] || null;
        return _this;
    }
    return CardToggle;
}(CardBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

var __extends$8 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CheckboxInput = /** @class */ (function (_super) {
    __extends$8(CheckboxInput, _super);
    function CheckboxInput(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.controlType = 'checkbox';
        _this.type = options['type'] || '';
        return _this;
    }
    return CheckboxInput;
}(InputBase));

var __extends$9 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var RadioInput = /** @class */ (function (_super) {
    __extends$9(RadioInput, _super);
    function RadioInput(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.controlType = 'radio';
        _this.options = [];
        _this.type = options['type'] || '';
        _this.options = options['options'] || [];
        return _this;
    }
    return RadioInput;
}(InputBase));

var __extends$10 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var SelectInput = /** @class */ (function (_super) {
    __extends$10(SelectInput, _super);
    function SelectInput(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.controlType = 'dropdown';
        _this.options = [];
        _this.options = options['options'] || [];
        return _this;
    }
    return SelectInput;
}(InputBase));

var __extends$11 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var TextInput = /** @class */ (function (_super) {
    __extends$11(TextInput, _super);
    function TextInput(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.controlType = 'textbox';
        _this.type = options['type'] || '';
        return _this;
    }
    return TextInput;
}(InputBase));

var __extends$12 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var TextAreaInput = /** @class */ (function (_super) {
    __extends$12(TextAreaInput, _super);
    function TextAreaInput(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.controlType = 'textareabox';
        _this.type = options['type'] || '';
        return _this;
    }
    return TextAreaInput;
}(InputBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemBase = /** @class */ (function () {
    function ListItemBase(options) {
        this._id = options._id;
        this.title = options.title;
        this.subtitle = options.subtitle;
        this.hasLine = options.hasLine;
        this.actions = options.actions;
        this.customClass = options.customClass;
    }
    return ListItemBase;
}());

var __extends$13 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemFileQueue = /** @class */ (function (_super) {
    __extends$13(ListItemFileQueue, _super);
    function ListItemFileQueue(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.data = options['data'] || null;
        return _this;
    }
    return ListItemFileQueue;
}(ListItemBase));

var __extends$14 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItem = /** @class */ (function (_super) {
    __extends$14(ListItem, _super);
    function ListItem(options) {
        if (options === void 0) { options = {}; }
        return _super.call(this, options) || this;
    }
    return ListItem;
}(ListItemBase));

var __extends$15 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemAvatar = /** @class */ (function (_super) {
    __extends$15(ListItemAvatar, _super);
    function ListItemAvatar(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.img = options['img'] || null;
        _this.least = options['least'] || null;
        return _this;
    }
    return ListItemAvatar;
}(ListItemBase));

var __extends$16 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemIcon = /** @class */ (function (_super) {
    __extends$16(ListItemIcon, _super);
    function ListItemIcon(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.icon = options['icon'] || null;
        _this.prefix = options['prefix'] || null;
        return _this;
    }
    return ListItemIcon;
}(ListItemBase));

var __extends$17 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemCheck = /** @class */ (function (_super) {
    __extends$17(ListItemCheck, _super);
    function ListItemCheck(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.least = options['least'] || null;
        return _this;
    }
    return ListItemCheck;
}(ListItemBase));

var __extends$18 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ListItemProperty = /** @class */ (function (_super) {
    __extends$18(ListItemProperty, _super);
    function ListItemProperty(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.key = options['key'] || null;
        _this.value = options['value'] || null;
        return _this;
    }
    return ListItemProperty;
}(ListItemBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var GridListItemBase = /** @class */ (function () {
    function GridListItemBase(options) {
        this._id = options._id;
        this.img = options.img;
        this.title = options.title;
        this.subtitle = options.subtitle;
        this.action = options.action;
        this.customClass = options.customClass;
        this.shadow = options.shadow;
        this.persistent = options.persistent;
    }
    return GridListItemBase;
}());

var __extends$19 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var GridListItem = /** @class */ (function (_super) {
    __extends$19(GridListItem, _super);
    function GridListItem(options) {
        if (options === void 0) { options = {}; }
        return _super.call(this, options) || this;
    }
    return GridListItem;
}(GridListItemBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Navmenu = /** @class */ (function () {
    function Navmenu(options) {
        this.navs = options.navs;
        this.open = options.open;
        this.collapsable = options.collapsable;
        this.showIcons = options.showIcons;
        this.customClass = options.customClass;
        this.shadow = options.shadow;
    }
    return Navmenu;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Toolbar = /** @class */ (function () {
    function Toolbar(options) {
        this.brand = options.brand;
        this.slugName = options.slugName;
        this.title = options.title;
        this.customClass = options.customClass;
        this.actions = options.actions;
        this.fixed = options.fixed;
        this.menuSide = options.menuSide;
    }
    return Toolbar;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Header = /** @class */ (function () {
    function Header(options) {
        this.title = options.title;
        this.subtitle = options.subtitle;
        this.msg = options.msg;
        this.bg = options.bg;
        this.customClass = options.customClass;
        this.parallax = options.parallax;
        this.contentAlign = options.contentAlign;
    }
    return Header;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Badge = /** @class */ (function () {
    function Badge(options) {
        this.icon = options.icon;
        this.prefix = options.prefix || 'mdi';
        this.size = options.size;
        this.badge = options.badge;
        this.badgeIcon = options.badgeIcon;
        this.customClass = options.customClass;
        this.count = options.count;
        this.position = options.position;
        this.color = options.color || 'plain';
        this.outline = options.outline || false;
        this.rounded = options.rounded || false;
    }
    return Badge;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Fab = /** @class */ (function () {
    function Fab(options) {
        this.icon = options.icon;
        this.iconActive = options.iconActive || options.icon;
        this.position = options.position || 'bottom right';
        this.prefix = options.prefix || 'mdi';
        this.customClass = options.customClass;
        this.callback = options.callback;
        this.size = options.size || 'md';
        this.color = options.color || 'plain';
        this.outline = options.outline;
        this.menu = options.menu;
        this.type = options.type;
    }
    return Fab;
}());

/*
label = null,
        callback = () => {
            console.log('Simple action');
        },
        icon = null,
        iconActive= null,
        value= false,
        customClass = null,
        prefix = 'mdi',
        size = 'md',
        color = 'link',
        outline?: boolean,
        rounded?: boolean
*/

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Modal = /** @class */ (function () {
    function Modal(options) {
        this.title = options.title;
        this.img = options.img;
        this.open = options.open;
        this.size = options.size;
        this.msg = options.msg;
        this.customClass = options.customClass;
        this.onClosed = options.onClosed;
        this.actions = options.actions;
    }
    return Modal;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var EmptyState = /** @class */ (function () {
    function EmptyState(options) {
        this.title = options.title;
        this.msg = options.msg;
        this.img = options.img;
        this.actions = options.actions;
        this.footer = options.footer;
    }
    return EmptyState;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ProfileDropdown = /** @class */ (function () {
    function ProfileDropdown(options) {
        this.title = options.title;
        this.img = options.img;
        this.defaultImg = options.defaultImg;
        this.prefix = options.prefix || 'mdi';
        this.caret = options.caret || 'chevron-down';
        this.bubble = options.bubble;
        this.dropdown = options.dropdown;
        this.lastAction = options.lastAction;
        this.customClass = options.customClass;
        this.orientation = options.orientation || 'horizontal';
    }
    return ProfileDropdown;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var TableField = /** @class */ (function () {
    function TableField(options) {
        this.key = options.key;
        this.alias = options.alias;
        this.type = options.type;
        this.basis = options.basis;
        this.ordenable = options.ordenable;
        this.signColored = options.signColored;
        this.unit = options.unit;
        this.pipe = options.pipe;
        this.format = options.format;
        this.responsive = options.responsive || false;
        this.customClass = options.customClass;
    }
    return TableField;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var NgxCanaimaModule = /** @class */ (function () {
    function NgxCanaimaModule() {
    }
    /**
     * @return {?}
     */
    NgxCanaimaModule.forRoot = /**
     * @return {?}
     */
    function () {
        return {
            ngModule: NgxCanaimaModule,
            providers: []
        };
    };
    NgxCanaimaModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        CardsModule,
                        ListsModule,
                        PreviewModule,
                        DynamicFormsModule,
                        GridListsModule,
                        ToolbarModule,
                        NavmenuModule,
                        HeaderModule,
                        SegmentModule,
                        ButtonsModule,
                        ChipModule,
                        BadgesModule,
                        FabsModule,
                        AsModalModule,
                        SearchBarModule,
                        LoadingModule,
                        EmptyStateModule,
                        MediaUploaderModule,
                        FileButtonModule,
                        MiscModule,
                        ContentPlaceholderModule,
                        ProfileDropdownModule,
                        DataTableModule
                    ],
                    declarations: [],
                    exports: [
                        CardsModule,
                        ListsModule,
                        PreviewModule,
                        DynamicFormsModule,
                        GridListsModule,
                        ToolbarModule,
                        NavmenuModule,
                        HeaderModule,
                        SegmentModule,
                        ButtonsModule,
                        ChipModule,
                        BadgesModule,
                        FabsModule,
                        AsModalModule,
                        SearchBarModule,
                        LoadingModule,
                        EmptyStateModule,
                        MediaUploaderModule,
                        FileButtonModule,
                        MiscModule,
                        ContentPlaceholderModule,
                        ProfileDropdownModule,
                        DataTableModule
                    ]
                },] },
    ];
    /** @nocollapse */
    NgxCanaimaModule.ctorParameters = function () { return []; };
    return NgxCanaimaModule;
}());

export { NgxCanaimaModule, Action, ActionDropdown, BgImagePreviewDirective, ImagePreviewDirective, CardComponent, CardImageComponent, CardBgComponent, CardIllustrationComponent, CardDataComponent, CardProfileComponent, CardNumberComponent, CardToggleComponent, CardBase, Card, CardImage, CardBg, CardData, CardIllustration, CardProfile, CardNumber, CardToggle, InputBase, CheckboxInput, RadioInput, SelectInput, TextInput, TextAreaInput, DynamicFormComponent, DynamicFormCheckboxComponent, DynamicFormRadioComponent, DynamicFormSelectComponent, DynamicFormTextAreaComponent, DynamicFormInputComponent, ListComponent, ListItemComponent, ListItemIconComponent, ListItemAvatarComponent, ListItemCheckComponent, ListItemPropertyComponent, ListItemFileQueue, ListItemBase, ListItem, ListItemAvatar, ListItemIcon, ListItemCheck, ListItemProperty, GridListComponent, GridListItemComponent, GridListItemBase, GridListItem, Segment, SegmentComponent, Nav, NavmenuComponent, Navmenu, BackButtonComponent, ToolbarComponent, Toolbar, ToolbarMenuService, Header, Chip, ChipComponent, BadgeComponent, Badge, Fab, FabComponent, Modal, ModalComponent, SearchBarComponent, LoadingComponent, LoadingService, EmptyState, EmptyStateComponent, FormatCaseService, NumberSiPrefixPipe, SpacerComponent, KeysPipe, ProfileDropdownComponent, ProfileDropdown, Validation, Toggle, ToggleComponent, MediaUploaderComponent, FileButtonComponent, DataTableComponent, TableField };
